#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi
SAT_BIN="/opt/SUNWxvmoc/bin/satadm"

if [ -f $SAT_BIN ]; then
	### This is a colocated agent
	svcs svc:/application/xvm/zstat >/dev/null 2>/dev/null
	if [ $? -eq 1 ]; then
		echo "ERROR: Couldn't find the zstat service"
		echo "       If this machine was upgraded, then this is a known issue (CR 6941003) on the agent on the EC." 	
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Fixing this automatically..."
			echo ""
			echo "Stopping agent cacao..."
			/usr/sbin/cacaoadm stop -i scn-agent
			echo "Reconfiguring the agent to repair the zstat service..."
			/opt/SUNWxvmoc/bin/agentadm configure -k
			echo "Done."
			echo ""
		else
			echo "       To repair this, run the following:"
			echo ""
			echo "       # cacaoadm stop -i scn-agent"
			echo "       # /opt/SUNWxvmoc/bin/agentadm configure -k"
			echo ""
			echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
			echo ""
		fi
	else
		echo "OK: zstat service is properly configured"
	fi
	
else
	exit
fi

