#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi
ARCH=`uname -p`
if [ ! "$ARCH" = "sparc" ]; then
	exit
fi
#### Check version ####
MY_DIR=`dirname $0`
source $MY_DIR/../../functions
get_agent_version ""          ### Provide VERSIONNUM
if [ $VERSIONNUM -gt "11101536" ];then               #### Is this newer than 1536?
        exit            #### Only applies to 1536
fi

MACHINE=`prtconf | grep "^SUNW" | awk -F"," '{print $2}'`
if [ "$MACHINE" = "SPARC-ENTERPRISE" ] || [ "$MACHINE" = "SPARC-Enterprise" ]; then
	echo "WARNING: This is a Mx000 series machine, and it may be discovered as "SPARC-ENTERPRISE-T5120" due to CR 7009738."
	echo "         To work around this, create the following aliases via the UI (Administration->Add Product Alias):"
	echo "         Product Alias: SPARC-ENTERPRISE   Product ID: urn:uuid:00f9088e-0fac-4c66-f4dd-f8a006ee3d4d"
	echo "         Product Alias: SPARC-Enterprise   Product ID: urn:uuid:00f9088e-0fac-4c66-f4dd-f8a006ee3d4d"
	echo ""
	echo "         Note: make sure you don't have any spaces at the beginning or end of the text!"
	echo "         Note: you will continue seeing this message even after you add the product alias - simply ignore it."
	echo "" 
fi

