#!/bin/ksh

# check for virtual disk devices with names like "*-vol-1" (Bug 16054671) 

check_passed=true

BROKEN_DISKS=/tmp/_broken_disks_$$

LDM=/usr/sbin/ldm

if [ -x $LDM ]; then
	if $LDM ls -o disk primary 2> /dev/null | egrep -e '-vol-1 */' > $BROKEN_DISKS; then
		echo
		echo "ERROR: found a vdisk with a broken name like '*-vol-1' (Bug 16054671):"
		echo
		cat $BROKEN_DISKS
		echo
		echo "Please, open a Service Request to get this resolved!"
		echo
		rm -f $BROKEN_DISKS
		exit
	fi
fi

echo "OK: Not a Control Domain or no broken vdisk name found"

