#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ]; then
	exit
fi

########## Check pkginfo ############
/usr/bin/pkginfo >/dev/null 2>/dev/null
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
	### Got error from pkginfo - try truss
	truss -o /var/tmp/pkginfo.out /usr/bin/pkginfo >/dev/null 2>/dev/null
	LASTLINE=`grep open /var/tmp/pkginfo.out  | grep sadm | tail -1`	
	echo "ERROR while running pkginfo"
	echo "      The last package which was accessed by pkginfo was: $LASTLINE"
	echo "      Try running pkginfo manually after checking this file"
	rm -f /var/tmp/pkginfo.out
	exit
else
	echo "OK: pkginfo works properly"
fi

########## Check package seeker #########
if [ ! -f /usr/lib/scn/update-agent/seekers/seekers_output_dir/pkg_seeker.sh ]; then
        echo "WARNING: Did not find the pkg_seeker.sh on this machine"
        exit
fi
if [ ! -f /usr/lib/scn/update-agent//config_files/vtree.xml ]; then
	echo "WARNING: pkg_seeker.sh did not find vtree.xml - maybe content was not downloaded yet?"
	exit
fi
/usr/lib/scn/update-agent/seekers/seekers_output_dir/pkg_seeker.sh /var/tmp/out.xml
RETVAL=$?
rm -rf /var/tmp/out.xml
if [ $RETVAL -ne 0 ]; then
	echo "ERROR while running pkg_seeker.sh - one of the packages is broken, trying one by one"
	cd /usr/lib/scn/update-agent/seekers/seekers_output_dir/
	pkginfo | awk '{print $2}' | awk '{printf("./pkg_seeker.sh /var/tmp/out.xml %s\n if [ $? -ne 0 ];then echo ERROR with %s;else echo %s is OK;fi\n",$1,$1,$1)}' > /var/tmp/pkg-one-by-one.sh
	chmod a+x /var/tmp/pkg-one-by-one.sh
	/var/tmp/pkg-one-by-one.sh
	rm -rf /var/tmp/out.xml
	rm -rf ./core
else
	echo "OK: pkg_seeker.sh works properly"
fi 
