#!/bin/ksh

# check for empty library.xml files due to bug 15809837

check_passed=true

BROKEN_LIBS=/tmp/_broken_libs_$$

for LIB_XML in $(ls /var/mnt/virtlibs/*/library.xml 2>/dev/null)
do
	if [ ! -s "$LIB_XML" ]; then
		check_passed=false	
                echo "$LIB_XML" >> $BROKEN_LIBS
	fi
done

if $check_passed; then
        echo "OK: No empty library.xml files found"
else
	echo 
	echo "ERROR: Issue found with one or more NFS-Libraries, where the library.xml file is empty (Bug 15809837):"
	echo
	cat $BROKEN_LIBS
	echo
	echo "Recommendation: Open a Service Request to get this/these file(s) recreated!"
	echo
fi

rm -f $BROKEN_LIBS
