#!/bin/ksh

# check for missing virtimages in library.xml file from NFS-Libraries

check_passed=true

BROKEN_LIBS=/tmp/_broken_libs.$$

for LIB in $(ls -d /var/mnt/virtlibs/[0-9]*/ 2>/dev/null)
do
	LIB_IMAGES=$(grep '<Name>' ${LIB}/library.xml 2>/dev/null|wc -l)
	DIR_IMAGES=$(ls ${LIB}/*-*-*-*-*/virtimage.xml 2>/dev/null|wc -l)

	if [ "$DIR_IMAGES" -gt "$LIB_IMAGES" ]; then
		check_passed=false	
		LIB_NAME="$(grep '<UserFriendlyName>' ${LIB}/library.xml | sed 's/^.*<UserFriendlyName>//' | sed 's/<\/.*$//')"
		echo 
		echo "ERROR: There is an issue with the following NFS-Library:"
		echo
		echo "       Library Name: $LIB_NAME"
		echo "       Library Path: $LIB"
		echo
		echo "       Issue: Existing virtual images are not listed in the content file library.xml!"
		echo
		echo "       Recommendation: Use the tool $(pwd)/toolbox/library-check.sh to analyze the issue in detail."
		echo
	fi
done


if $check_passed; then
	echo "OK: No missing virtual images in NAS Libraries"
fi
