#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	exit
fi

DATE=$(/bin/date '+DATE_%Y-%m-%d_TIME_%H-%M-%S')

/usr/bin/logger -p user.debug -t OCDoctor.sh "Checking syslogd.conf for user.debug rule $DATE"

sleep 2

UNAME=`uname`
if [ $UNAME = "Linux" ]; then
        MESSAGES=/var/log/messages
else
        MESSAGES=/var/adm/messages
fi

if [ "$(grep $DATE $MESSAGES | wc -l)" -ne "0" ]
then
        echo "WARNING: You may fill up the $MESSAGES. To fix, remove the user.debug rule from the /etc/syslog.conf file"
	echo "         This may be caused by JASS for an unknown reason..."
	echo ""
	echo "         If user.debug is placed in /etc/syslog.conf by purpose you may consider to replace the xvmluinfo"
	echo "         binary.  See the document howto_fix_xvmluinfo.txt in the howto folder for details."
	echo ""
else
        echo "OK: Syslogd.conf is configured properly" 
fi
