#!/bin/bash
REL=`uname -r`
if [[ ! "$REL" = "5.10" ]]; then
	exit
fi
if [ -f ./prereq/timeout.sh ]; then
	`./prereq/timeout.sh /usr/sbin/prtdiag >/dev/null 2>/dev/null`
	RETVAL=$?
else
	`../../prereq/timeout.sh /usr/sbin/prtdiag >/dev/null 2>/dev/null`
	RETVAL=$?
fi
if [ $RETVAL -eq 137 ]; then
	echo "ERROR: prtdiag seems to be freezing. This is a known Solaris issue (CR 6552999). To fix this, try the following Solaris workaround:"
	echo ""
	echo "# svcadm restart picl"
	echo
else
	echo "OK: prtdiag doesn't hang"
fi

