#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	exit
fi

if [ -f /var/cacao/instances/scn-agent/logs/cacao.0 ]; then
	DONOTHING=1
	### Otherwise the egrep below will error out
else
	exit
fi

if egrep 'Could not update VirtServerCreateParams for zone' /var/cacao/instances/scn-agent/logs/cacao.? > /dev/null
then
  cat <<EOF

ERROR: Found in the logs that Zone Adoption failed. This may be due to Bug 15679385 where the cpu-shares of the zone is 0.
       Since this is searching the logs, you may see this message even if you already fixed it!
       The workaround is to set the cpu-shares attribute before adopting the zone:

# zonecfg -z <zonename> set cpu-shares=1

       Here is the list of the current shares:

EOF
zoneadm list |grep -v "^global"| awk '{printf("printf \"%s: \";zonecfg -z %s info cpu-shares\n",$1,$1)}' > /var/tmp/cpushares.$$
/bin/bash /var/tmp/cpushares.$$
/bin/rm -f /var/tmp/cpushares.$$
else
  echo "OK: No adopt zone error found (Bug 15679385)"
fi
