#!/bin/bash
#
# check for broken servercfg.xml files due to bug 16243742
#
# we will use the library-check.sh script from the toolbox to check for vnet/vdisk corruption
#

AGENT_PROP=/opt/sun/n1gc/lib/XVM_AGENT.properties
VIRT_TYPE=$(grep '^virtualization.type=' $AGENT_PROP 2>/dev/null | cut -d= -f2)

# check for Control Domain
[ "${VIRT_TYPE}" == "ldom" ] || exit 0 # System is not a Control Domain, check not applicable

LIBRARY_CHECK="$(dirname $0)/../../toolbox/library-check.sh"

OUTPUT=/tmp/libcheck.out.$$

if [ -x "$LIBRARY_CHECK" ]; then
	$LIBRARY_CHECK -x > $OUTPUT 2>&1
	EXIT_CODE=$?
else
	EXIT_CODE=0
fi

if [ $EXIT_CODE -eq 0 ]; then 
	echo "OK: No vnet/vdisk corruption found in servercfg.xml config files"
else
	echo
	cat $OUTPUT
	echo
	echo "Please, open a Service Request to get these issues resolved."
	echo
fi

rm -f $OUTPUT
