#!/bin/bash
#
# verify that there is no domain-navigator running
#

AC_DM_NAVI="$(dirname $0)/../../toolbox/AC-DM-Navi.sh"

OUTPUT=/tmp/AC-DM-Navi.out.$$

if [ -x "$AC_DM_NAVI" ]; then
	if $AC_DM_NAVI status > $OUTPUT 2>&1; then
		echo 
		echo "WARNING: Agent domain-navigator is still running!"
		cat $OUTPUT
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Trying to automatically fix this..."
			$AC_DM_NAVI disable 
		else
			echo "You can run the following command to stop the Agent domain-navigator:"
			echo
			echo "# ./OCDoctor.sh --disable-dm"
			echo
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
			echo
		fi
	else
		echo "OK: Agent domain-navigator is not running"
	fi
else
	echo "ERROR: $0: $AC_DM_NAVI not found or not executable!"
	exit 1
fi

rm -f $OUTPUT
