#!/bin/bash

# Solaris 9 machines which were upgraded to Solaris 10 will have the following line in their svcs -a:
# legacy_run     Feb_01   lrc:/etc/rc3_d/S79common-agent-container-1
# This service needs to be removed before installing a new agent or before upgrading

UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	DONOTHING=1
	exit
else
	REL=`uname -r`
	if [ "$REL" = "5.10" ]; then	#### No need to check Solaris 8 or 9
		SVCS=`svcs -a | grep lrc | grep S79common-agent-container`
		if [ "$SVCS" = "" ]; then
			echo "OK: No legacy SMF agent found"
			DONOTHING=1
		else
			echo "WARNING: Was this machine upgraded to Solaris 10 while the agent was installed?"
			echo "         Found the following service in svcs:"
			echo "         lrc:/etc/rc3_d/S79common-agent-container-1"
			echo "         You will need to remove this before a new agent install or an upgrade or it may fail."
			echo ""
		fi
	fi
fi

