#!/bin/ksh

# check for virtimages.xml files of size 0

check_passed=true

for LIB in $(ls -d /guests /var/mnt/virtlibs/[0-9]* 2>/dev/null)
do
    for i in $(grep '<Name>' ${LIB}/library.xml 2>/dev/null | sed 's/^.*<Name>//' | sed 's/<.*$//')
    do
	if [ ! -s "${LIB}/${i}/virtimage.xml" ]; then
	    check_passed=false	
	    LIB_NAME="$(grep '<UserFriendlyName>' ${LIB}/library.xml | sed 's/^.*<UserFriendlyName>//' | sed 's/<\/.*$//')"
	    echo 
	    echo "ERROR: There is an issue within the following Library:"
	    echo
	    echo "       Library Name: $LIB_NAME"
	    echo "       Library Path: $LIB"
	    echo
	    echo "       Issue: File ${LIB}/${i}/virtimage.xml is of size 0!"
	    echo
	    echo "       Recommendation: Use the tool .../OCDoctor/toolbox/library-check.sh to analyze the issue in detail."
	    echo
	fi
    done
done


if $check_passed; then
	echo "OK: No virtimage.xml files of size 0 found"
fi
