#!/bin/bash

# Complex use of the CLI

## 1) Add local configuration file
## 2) Get the node ID of this file
## 3) Create a profile using this node ID


## Creare a dummy file
echo "Testing CLI" > /var/tmp/cli-test.txt


## 1) Add local configuration file
echo "Adding local file..."
cd ..
./xvmcli <<EOF >/dev/null
connect
update
add_configuration_file -f /var/tmp/cli-test.txt -p /etc/cli-test -v ver1 -c "Configuration files" -d "This is a description" -h SOLARIS10_SPARC
EOF
rm -f /var/tmp/cli-test.txt

## 2) Get the node ID of this file
echo "Getting node ID..."
./xvmcli <<EOF >/var/tmp/cli-script.$$
connect
update
find_nodes -a -s "/etc/cli-test-ver1"
EOF
NID=`cat /var/tmp/cli-script.$$ | grep True | head -1 | awk '{print $2}'`		### Grep for Available=True. 
rm -f /var/tmp/cli-script.$$

## 3) Create a profile using this node ID
echo "Creating profile with node ID $NID..."
./xvmcli <<EOF >/dev/null
connect
update
create_profile --ni "$NID" -f "complex_script_profile" -l "Created from the complex_script" -o SOLARIS10_SPARC
EOF

echo "Done."
