#!/bin/bash
export PATH=/usr/sbin:/usr/bin:$PATH
export LD_LIBRARY_PATH=/usr/lib:/lib
if [ "$1" = "--show" ];then
	SHOW=1
else
	SHOW=0
fi
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        DB_BIN="/opt/sun/scs/sbin/db_tool.pl"
else
        DB_BIN="/opt/SUNWscs/sbin/db_tool.pl"
fi


if [ -f $DB_BIN ]; then

	### Check if DB is running ###
        OUTPUT=`$DB_BIN status 2>/dev/null | grep running | awk '{printf("%s %s %s\n",$2,$3,$4)}'`
        if [ "$OUTPUT" = "postmaster is running" ]; then
                DONOTHING=1
        else
                echo "ERROR: Database is not running, can't check the number of agents"
                echo ""
                exit
        fi

	### Total agents ###
	echo "select count(agent_ip) from agent_table" | $DB_BIN psql > /var/tmp/db.out.$$ 2>/dev/null
	VERIFY=`grep "(1 row)" /var/tmp/db.out.$$`
	if [ "$VERIFY" = "(1 row)" ]; then
		TOTALA=`head -3 /var/tmp/db.out.$$ | tail -1 | awk '{print $1}'`
		rm -f /var/tmp/db.out.$$
	else
		echo "ERROR: Couldn't get number of agents from the database, got the output:"
		cat /var/tmp/db.out.$$
		rm -f /var/tmp/db.out.$$
		exit
	fi
	echo "OK: Total number of agents: $TOTALA"

	### Agents with inventory ###
	echo "select count(agent_ip) from agent_table where inventory_id>0" | $DB_BIN psql > /var/tmp/db.out.$$ 2>/dev/null 
	VERIFY=`grep "(1 row)" /var/tmp/db.out.$$`
        if [ "$VERIFY" = "(1 row)" ]; then
                INVA=`head -3 /var/tmp/db.out.$$ | tail -1 | awk '{print $1}'`
                rm -f /var/tmp/db.out.$$
        else    
                echo "ERROR: Couldn't get number of agents with inventory from the database, got the output:"
                cat /var/tmp/db.out.$$
                rm -f /var/tmp/db.out.$$
                exit
        fi

	if [ "$INVA" = "$TOTALA" ];then
		echo "OK: Number of agents with inventories: $INVA"
	else
		echo "OK: Number of agents with inventories: $INVA"
		if [ "$SHOW" = "0" ]; then
			PWD=`pwd`
			if [ -f $PWD/ec/11/00print_number_of_agents.sh ]; then
				echo "    To see which machines didn't report inventory, run \"$PWD/ec/11/00print_number_of_agents.sh --show\""
			else
				echo "    To see which machines didn't report inventory, run \"<OCDoctor folder>/ec/11/00print_number_of_agents.sh --show\""
			fi
		else
			echo "Agents which did not report inventory yet (reporting inventory might take a few minutes):"
			echo "select agent_name from agent_table where inventory_id<=0" | $DB_BIN psql
		fi
	fi

else
	echo "ERROR: Couldn't find $DB_BIN"
	echo ""
fi



