#!/bin/bash
export PATH=/usr/sbin:/usr/bin:$PATH
export LD_LIBRARY_PATH=/usr/lib:/lib
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        DB_BIN="/opt/sun/scs/sbin/db_tool.pl"
else
        DB_BIN="/opt/SUNWscs/sbin/db_tool.pl"
fi


if [ -f $DB_BIN ]; then

	### Check if DB is running ###
        OUTPUT=`$DB_BIN status 2>/dev/null | grep running | awk '{printf("%s %s %s\n",$2,$3,$4)}'`
        if [ "$OUTPUT" = "postmaster is running" ]; then
                DONOTHING=1
        else
                echo "ERROR: Database is not running, can't check for the 5240 bug"
                echo ""
                exit
        fi

	### Is it already in DB?
	OUTPUT=`echo "select * from product_attributes where  product_uuid = 'urn:uuid:b057c0d5-f740-11db-8c3c-080020a9ed93' and key='LDOM_VERSION_20_FW_REC'" | $DB_BIN psql 2>/dev/null | grep "rows)"`
	if [ "$OUTPUT" = "(0 rows)" ]; then
		echo "WARNING: If you have T5240 in your environment, you won't be able to deploy OVM Server version 2.0 (CR 7003592)"
		if [ "$OCDOCTOR_FIX" = "1" ];then
	                echo "         Trying to fix automatically..."
			echo "insert into product_attributes (product_uuid, key, value) values ('urn:uuid:b057c0d5-f740-11db-8c3c-080020a9ed93', 'LDOM_VERSION_20_FW_REC','7.2.7');" | $DB_BIN psql 2>/dev/null		
			echo ""
			echo "         Done"
	                echo ""
		else
			echo "         To fix this, you may insert the following DB entry so that Ops Center can recognize this hardware properly:"
			echo ""
			echo "# echo \"insert into product_attributes (product_uuid, key, value) values ('urn:uuid:b057c0d5-f740-11db-8c3c-080020a9ed93', 'LDOM_VERSION_20_FW_REC','7.2.7');\" | $DB_BIN psql"
	                echo ""
	                echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
			echo ""
		fi
	else
		echo "OK: 5240 URN is already in the DB"
	fi
else
	echo "ERROR: Couldn't find $DB_BIN"
	echo ""
fi



