#!/usr/bin/ksh

#
# checking for integrity of the Satellite installation - will not check for agent packages (will run those in a different script)
#

UNAME=`uname`
if [ $UNAME = "Linux" ];then
	cat <<!EOF! | while read file; do
sun-n1hss-core
sun-n1hss-core
sun-n1hss-core-config
sun-n1hss-servicescr
sun-n1hss-drvrs
sun-scnreportsvc-db
sun-scnjobmgr-satellite-db
sun-scnconnmgt-rs
sun-scn-osp-drivers
sun-scnsatadm
sun-scn-osp-config
sun-scn-db
sun-scn-cs
sun-scn-osp
sun-scnreportsvc
sun-scn-update-db
sun-scnjobmgr-common-impl
sun-scn-osp-s-db
sun-scnnotifsvc
sun-scn-auth
sun-scn-osp-s
sun-scnconnmgt
sun-scnjobmgr-proxy-config
sun-scnjobmgr-satellite-config
sun-scnjobmgr-satellite
sun-scnjobmgr-common-api
sun-scnproxyadm
sun-scnconnmgt-rp
sun-scnjobmgr-proxy
sun-scn-satmgmt
sun-scn-con
sun-xvmoc-winpm-config
sun-xvm-buitools
sun-xvm-smflite
sun-xvm-client
sun-xvm-proxyrun-base
sun-xvm-ajaxterm
sun-xvmoc-satrun-oc
sun-xvm-satrun-base
sun-xvm-xvmocbui
sun-xvmoc-client
sun-xvmoc-wme
sun-xvmoc-proxyrun-oc
sun-xvmoc-winpm
!EOF!
	OUTPUT=`rpm -q $file`
	if [[ $? -eq 0 ]]; then
                DONOTHING=1
        else
                if [[ $CHECK -eq 0 ]]; then               ### Only print ERROR once
                        echo "ERROR while checking for Enterprise Controller RPM integrity:"
                fi
                echo "RPM $file is not installed properly"
                CHECK=1
        fi
        done
        if [[ $CHECK -eq 0 ]]; then
                echo "OK: All Enterprise Controller RPMs are installed properly"
        else
                echo "ERROR: The RPMs above are not installed properly (missing from 'rpm -q'), consider reinstallation."
                echo "       It can also be that those RPMS are not needed. Please report this to Sun Support to determine this."
                echo ""
        fi

        exit $CHECK



else			####### Solaris
	CHECK=0
	cat <<!EOF! | while read file; do
CPANperl-dbd-pg
CPANperl-dbi-scs
CSKlibs
CSKncurses
CSKpython
CSKruntime
PGSQLscs
SFWexpct
SUNWn1hss-core
SUNWn1hss-core-arch
SUNWn1hss-drvrs
SUNWn1hss-servicescr
SUNWscn-cs
SUNWscn-osp
SUNWscn-osp-config
SUNWscn-osp-drivers
SUNWscn-osp-s
SUNWscn-osp-s-db
SUNWscn-update-db
SUNWscnauth
SUNWscncon
SUNWscnconnmgt
SUNWscncrs
SUNWscndb
SUNWscnjobmgr-proxy
SUNWscnjobmgr-proxy-config
SUNWscnjobmgr-satellite
SUNWscnjobmgr-satellite-config
SUNWscnjobmgr-satellite-db
SUNWscnnotifsvc
SUNWscnproxyadm
SUNWscnreportsvc
SUNWscnreportsvc-db
SUNWscnsatadm
SUNWscnsatmgmt
SUNWscnsatmgmt
SUNWscs-db
SUNWsms-facade
SUNWucelarge
SUNWuces
SUNWxvm-ajaxterm
SUNWxvm-bui-tools
SUNWxvm-client
SUNWxvm-proxyrun-base
SUNWxvm-satrun-base
SUNWxvmoc-client
SUNWxvmoc-proxyrun-oc
SUNWxvmoc-satrun-oc
SUNWxvmocbui
UPdhcp
!EOF!
	pkginfo $file >/dev/null 2>&1
        if [[ $? -eq 0 ]] ; then
		DONOTHING=1
	else
		if [[ $CHECK -eq 0 ]]; then		### Only print ERROR once
			echo "ERROR while checking for Enterprise Controller packages integrity:"
		fi
		echo "Package $file is not installed properly"
		CHECK=1
	fi
	done
	if [[ $CHECK -eq 0 ]]; then
		echo "OK: All Enterprise Controller packages are installed properly"
	else
		echo "ERROR: The packages above are not installed properly (missing from pkginfo), consider reinstallation."	
		echo "       It can also be that those packages are not needed. Please report this to Sun Support to determine this."
		echo ""
	fi

	exit $CHECK
fi		### End of Solaris


