#!/bin/bash

if [ -d /var/opt/sun/xvm/logs/ ]; then
	DONOTHING=1
else
	echo "ERROR: Could not find /var/opt/sun/xvm/logs/"
	exit
fi

# Check for current file permissions
OUTPUT=`ls -ld /var/opt/sun/xvm/logs/ | awk '{print $1}'`
if [ "$OUTPUT" = "drwxrwxr-x" ]; then
	echo "OK: Logs folder has the right permissions"
	exit
else
	echo "ERROR: /var/opt/sun/xvm/logs/ has the wrong permissions ($OUTPUT). This is a known issue in Patch 1 (CR 6918069)."
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Trying to fix automatically..."
		chmod 775 /var/opt/sun/xvm/logs
		echo "       Done."
		echo ""
	else
		echo "       This will prevent some logs from getting updated and created. To fix this, simply run:"
		echo "       # chmod 775 /var/opt/sun/xvm/logs"
		echo ""
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi
