#!/bin/bash

# CR 7183843 upgrading S10 EC to 12c after rollback from failed upgrade can fail on colocated AC

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
		### 
        exit 0
else
		#### Check for the status of the colocated agent. It will be a problem if status is "-":
# % svcs common-agent-container-1:scn-agent
# STATE          STIME    FMRI
# -              svc:/application/management/common-agent-container-1:scn-agent

        OUTPUT=`svcs -H common-agent-container-1:scn-agent 2>/dev/null | awk '{print $1}'`
        #echo "-              svc:/application/management/common-agent-container-1:scn-agent" > /var/tmp/out.tst
   		#OUTPUT=`cat /var/tmp/out.tst | awk '{print $1}'`
        #rm -f /var/tmp/out.tst
        if [ "$OUTPUT" = "-" ]; then
        	echo "ERROR: The colocated agent on this EC is in bad state. You must fix it before upgrading to 12c,"
        	echo "       otherwise the upgrade will fail (CR 7183843)"
        	echo ""
        	if [ "$OCDOCTOR_FIX" = "1" ];then
        		echo "Trying to automatically fix this..."
        		svccfg -s svc:/application/management/common-agent-container-1:scn-agent delpg common-agent-container-zstat
        		svccfg delete -f svc:/application/management/common-agent-container-1:scn-agent
        		cd /etc/cacao/instances
        		mv scn-agent scn-agent.bak.$$
        		mkdir scn-agent
        		chgrp sys scn-agent
        		chmod 755 scn-agent
        		mv scn-agent.bak.$$/modules scn-agent
        		echo "Done."
        		echo "NOTE: you now must re-enable the colocated agent from the BUI using the 'Configure Local Agent' action in the 'Administration' tab"
        		echo ""
        	else
	        	echo "To fix, first delete the existing smf service with:"
	        	echo ""
				echo "# svccfg -s svc:/application/management/common-agent-container-1:scn-agent delpg common-agent-container-zstat"
				echo "# svccfg delete -f svc:/application/management/common-agent-container-1:scn-agent"
				echo ""
				echo "Now clean up the AC cacao instance with (as root user):"
				echo "# cd /etc/cacao/instances"
				echo "# mv scn-agent scn-agent.bak"
				echo "# mkdir scn-agent"
				echo "# chgrp sys scn-agent"
				echo "# chmod 755 scn-agent"
				echo "# mv scn-agent.bak/modules scn-agent"
				echo ""
				echo "Now re-enable the colocated agent from the BUI using the 'Configure Local Agent' action in the 'Administration' tab"
				echo ""
				echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
				echo ""
			fi
        else
        	if [ "$OUTPUT" = "online" ]; then
        		echo "OK: colocated agent is online"
        	fi
        fi
fi

