#!/bin/bash

FAILED=0

LC_CTYPE=`locale | grep LC_CTYPE | awk -F"=" '{print $2}' | sed -e 's/\"//g'`
LC_MESSAGES=`locale | grep LC_MESSAGES | awk -F"=" '{print $2}' | sed -e 's/\"//g'`

LC_CTYPE_EN=`echo $LC_CTYPE|grep -i en_US`
if [ ! "$LC_CTYPE" = "C" ] && [ "$LC_CTYPE_EN" = "" ]; then
	FAILED=1
	FAILED_L=$LC_CTYPE
fi

LC_MESSAGES_EN=`echo $LC_MESSAGES|grep -i en_US`
if [ ! "$LC_MESSAGES" = "C" ] && [ "$LC_MESSAGES_EN" = "" ]; then
	FAILED=1
	FAILED_L=$LC_MESSAGES
fi

if [ $FAILED -eq 0 ]; then
	echo "OK: Locales are OK (\"$LC_CTYPE\")"
else
	echo "WARNING: Locales are set to \"$FAILED_L\". This may cause issues when upgrading. Make sure you run:"
	echo "         # export LC_ALL=C"
	echo "         # export LANG=C"
	echo "         You can verify the settings by running:"
	echo "         # locale"
	echo ""
fi
