#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	SAT_BIN="/opt/sun/xvmoc/bin/satadm"
        ### Do we have pam_shell required?
        if [ -f /etc/pam.d/system-auth ]; then
                PAMSHELL=`grep "^auth" /etc/pam.d/system-auth | grep "required" | grep "pam_shells.so"`
                if [ ! "$PAMSHELL" = "" ]; then
                        ### Check for scncon shell
                        SCNSHELL=`grep "^scncon" /etc/passwd | awk -F":" '{print $7}'`
                        INSHELLS=`grep $SCNSHELL /etc/shells`
                        if [ "$INSHELLS" = "" ];then
                                echo "ERROR: scncon shell ($SCNSHELL) is not in /etc/shells, and /etc/pam.d/system-auth requires pam_shells.so"
                                echo "       This will prevent the EC from starting up properly (CR 7012369)."
                                echo "       To fix this, run the following command:"
                                echo ""
                                echo "# chsh -s /sbin/nologin scncon"
                                echo ""
				echo "And restart the Enterprise Controller:"
		                echo "# $SAT_BIN stop -w ; $SAT_BIN start -w"
                                echo ""
                        else
                                echo "OK: scncon user has a shell which is in /etc/shells ($SCNSHELL)"
                        fi
                else
                        echo "OK: system-auth does not require pam_shells.so"
                fi
        fi
fi
