#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
else
	ZONENAME=`zonename`
	if [ ! "$ZONENAME" = "global" ]; then
		echo "NOTICE: Can't perform cryptoadm test inside a zone."
		echo "        Run --troubleshoot from the global zone as well to test the crypto services."
		exit
	fi
	if [ -f /usr/sbin/cryptoadm ]; then
		NCP=`/usr/sbin/cryptoadm list -p | grep "^ncp\/0"`
		if [ "$NCP" = "ncp/0: all mechanisms are enabled." ]; then
			echo "WARNING: ncp/0 (Niagara Cryptographic Processor) is enabled"
			echo "         If you are unable to login after a fresh install, try the following:"
			echo "         # /usr/sbin/cryptoadm disable provider=ncp/0 mechanism=all"
			echo
			echo "         If the above command failed - try this Solaris workaround:"
			echo "         Add those two comment lines at the end of /etc/crypto/kcf.conf :"
			echo "         # Start SUWNcakr.v driver_names=ncp"
			echo "         # End SUNWcakr.v"
			echo
			echo "         Then rerun:"
			echo "         # /usr/sbin/cryptoadm disable provider=ncp/0 mechanism=all"
			echo "         Then reboot the machine (reboot is necessary)"
			echo
		else
			echo "OK: No NCP encryption is used"
		fi
	else
		echo "WARNING: Could not find /usr/sbin/cryptoadm in SSL test"
	fi
fi
