#!/bin/bash
export PATH=/usr/sbin:/usr/bin:$PATH
export LD_LIBRARY_PATH=/usr/lib:/lib

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi

if [ "$1" = "--show" ];then
	SHOW=1
else
	SHOW=0
fi

SQL_Template(){
	FILENAME=$1
	OUTPUTFILE=$2
	SQL=$3
	echo "set echo off" > $FILENAME
	echo "set feedback off" >> $FILENAME
	echo "set colsep," >> $FILENAME
	echo "set pagesize 0" >> $FILENAME
	echo "set trimspool on" >> $FILENAME
	echo "set headsep off" >> $FILENAME
	echo "set sqlprompt ''" >> $FILENAME
	echo "spool $2" >> $FILENAME
	echo "$SQL" >> $FILENAME
	echo "spool off" >> $FILENAME
}

rm -f /var/tmp/out.txt.doctor >/dev/null 2>/dev/null
rm -f /var/tmp/sql.txt.doctor >/dev/null 2>/dev/null
	
if false; then			#### Old way, caused a lot of confusion
	### Total agents ###
	SQL_Template /var/tmp/sql.txt.doctor /var/tmp/out.txt.doctor "select count(agent_ip) from agent_table;"
	echo '@/var/tmp/sql.txt.doctor' |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null
	if [ ! -f /var/tmp/out.txt.doctor ]; then
		echo "ERROR: Could not get number of agents using ${SAT_BIN} sqlplus"
		exit
	fi
	TOTALA=`cat /var/tmp/out.txt.doctor | awk '{print $1}'`
	
	echo "OK: Total number of agents (without Solaris 11 ones): $TOTALA"
	
	### Agents with inventory ###
	SQL_Template /var/tmp/sql.txt.doctor /var/tmp/out.txt.doctor "select count(agent_ip) from agent_table where inventory_id>0;"
	echo '@/var/tmp/sql.txt.doctor' |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null
	INVA=`cat /var/tmp/out.txt.doctor | awk '{print $1}'`
	
	if [ "$INVA" = "$TOTALA" ];then
		echo "OK: Number of agents with inventories: $INVA"
	else
		echo "OK: Number of agents with inventories: $INVA"
		if [ "$SHOW" = "0" ]; then
			PWD=`pwd`
			if [ -f $PWD/ec/12/00print_number_of_agents.sh ]; then
				echo "    To see which machines didn't report inventory, run \"$PWD/ec/12/00print_number_of_agents.sh --show\""
			else
				echo "    To see which machines didn't report inventory, run \"<OCDoctor folder>/ec/12/00print_number_of_agents.sh --show\""
			fi
		else
			echo "Agents which did not report inventory yet (reporting inventory might take a few minutes):"
			SQL_Template /var/tmp/sql.txt.doctor /var/tmp/out.txt.doctor "select agent_name from agent_table where inventory_id<=0;"
			echo '@/var/tmp/sql.txt.doctor' |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null
			cat /var/tmp/out.txt.doctor | awk '{print $1}'
		fi
	fi
fi


### Number of OS - new way
SQL_Template /var/tmp/sql.txt.doctor /var/tmp/out.txt.doctor "select GEARTYPE from V_VMB_GEAR;"		### OS, SP etc
echo '@/var/tmp/sql.txt.doctor' |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null
if [ -f /var/tmp/out.txt.doctor ]; then
	OPERATINGSYSTEMS=`grep "^OperatingSystem" /var/tmp/out.txt.doctor 2>/dev/null |wc -l | awk '{print $1}' 2>/dev/null`
	GLOBALZONES=`grep "^GlobalZone" /var/tmp/out.txt.doctor 2>/dev/null | wc -l | awk '{print $1}' 2>/dev/null`
	TOTAL_OS=`expr $OPERATINGSYSTEMS + $GLOBALZONES 2>/dev/null`
	TOTAL_LDOMS=`grep "^LDomGuest" /var/tmp/out.txt.doctor 2>/dev/null | wc -l | awk '{print $1}' 2>/dev/null`
	TOTAL_ZONES=`grep "^NonGlobalZone" /var/tmp/out.txt.doctor 2>/dev/null | wc -l | awk '{print $1}' 2>/dev/null`
fi
echo "OK: Total number of OSes: $TOTAL_OS  Total LDOMs:$TOTAL_LDOMS  Total Zones: $TOTAL_ZONES"		



rm -f /var/tmp/out.txt.doctor >/dev/null 2>/dev/null
rm -f /var/tmp/sql.txt.doctor >/dev/null 2>/dev/null



