#!/bin/bash

# Check if hmp-tools or hmp-libs 2.2.1 are installed on an X86 box

UNAMER=`uname -r`
if [ ! "$UNAMER" = "5.11" ]; then
        exit
fi

ARCH=`uname -p`
if [ ! "$ARCH" = "i386" ]; then
	### only relevant for X86
	exit
fi

pkg list hmp-tools@2.2.1 >/dev/null 2>/dev/null
if [ $? -ne 0 ]; then
	echo "OK: package hmp-tools@2.2.1 is not installed"
else
	echo "ERROR: package hmp-tools@2.2.1 is installed - it should be removed before you Upgrade Ops Center."
	echo "       Otherwise, upgrade may fail or not complete successfully."
	echo ""
	echo "       To fix this, you must uninstall the following:"
	echo ""
	echo "# pkg uninstall hmp-tools hmp-libs"
	echo "And then reboot."
	echo ""
	echo "Please contact support if you are unable to remove this properly."
	echo ""
	exit
fi

pkg list hmp-libs@2.2.1 >/dev/null 2>/dev/null
if [ $? -ne 0 ]; then
	echo "OK: package hmp-libs@2.2.1 is not installed"
else
	echo "ERROR: package hmp-libs@2.2.1 is installed - it should be removed before you Upgrade Ops Center."
	echo "       Otherwise, upgrade may fail or not complete successfully."
	echo ""
	echo "       To fix this, you must uninstall the following:"
	echo ""
	echo "# pkg uninstall hmp-libs"
	echo "And then reboot."
	echo ""
	echo "Please contact support if you are unable to remove this properly."
	echo ""
fi

