#!/bin/bash

### Check proper permissions on /var/opt/sun/xvm/images/agent/ - Bug 15808311
FOLDER="/var/opt/sun/xvm/images/agent/"
if [ -d $FOLDER ]; then
	OUTPUT_ROOT=`ls $FOLDER | while read file; do if [ -r ${FOLDER}$file ]; then echo $file; fi; done | wc -l`
	OUTPUT_UCE=`su uce-sds -c "ls $FOLDER | while read file; do if [ -r ${FOLDER}\\$file ]; then echo \\$file; fi; done | wc -l"`
	if [ "$OUTPUT_ROOT" = "$OUTPUT_UCE" ]; then
		echo "OK: Files in $FOLDER have the right permissions"
	else
		echo "ERROR: Some files in $FOLDER have wrong permissions"
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Trying to automatically fix this..."
			chmod a+r ${FOLDER}*
			echo "OK: Fix was applied"
		else
			echo "To fix this, run:"
			echo "chmod a+r ${FOLDER}*"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		fi
		echo ""
	fi
fi

### Check proper permissions on /var/opt/sun/xvm/osp/web/pub/pkgs/
FOLDER="/var/opt/sun/xvm/osp/web/pub/pkgs/"
if [ -d $FOLDER ]; then
	OUTPUT_ROOT=`ls $FOLDER | while read file; do if [ -r ${FOLDER}$file ]; then echo $file; fi; done | wc -l`
	OUTPUT_UCE=`su uce-sds -c "ls $FOLDER | while read file; do if [ -r ${FOLDER}\\$file ]; then echo \\$file; fi; done | wc -l"`
	if [ "$OUTPUT_ROOT" = "$OUTPUT_UCE" ]; then
		echo "OK: Files in $FOLDER have the right permissions"
	else
		echo "ERROR: Some files in $FOLDER have wrong permissions"
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Trying to automatically fix this..."
			chmod a+r ${FOLDER}*
			echo "OK: Fix was applied"
		else
			echo "To fix this, run:"
			echo "chmod a+r ${FOLDER}*"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		fi
		echo ""
	fi
fi

