#!/bin/bash

MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        source $MY_DIR/../../functions
else
		exit
fi

UNAME=`uname`

if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/ecadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/ecadm"
fi

rm -f /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.1 /var/tmp/ocdoctor.out.2 >/dev/null 2>/dev/null
SQL_Template /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.1 "select id from systemproperty where pkey='alert.clearance.alarm';"
SQL_Template_cont /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.2 "select pvalue from systemproperty where pkey='alert.clearance.alarm';"
SQL_Template_cont /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.3 "select pdefault from systemproperty where pkey='alert.clearance.alarm';"
echo "@/var/tmp/ocdoctor.sql" |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null

if [ -f /var/tmp/ocdoctor.out.1 ]; then
	ID=`cat /var/tmp/ocdoctor.out.1 | awk '{print $1}' 2>/dev/null`
	# Make sure it is an integer
        let TEST=$ID+1 2>/dev/null
        let TEST=$TEST-1 2>/dev/null
	if [ "$TEST" = "$ID" ] && [ $TEST -eq $ID ] ; then
		if [ -f /var/tmp/ocdoctor.out.2 ]; then
			PVALUE=`cat /var/tmp/ocdoctor.out.2 | awk '{print $1}' 2>/dev/null`
			if [ -f /var/tmp/ocdoctor.out.3 ]; then
				PDEFAULT=`cat /var/tmp/ocdoctor.out.2 | awk '{print $1}' 2>/dev/null`
				#echo "PVALUE:$PVALUE PDEFAULT:$PDEFAULT"
				if [ "$PVALUE" = "false" ] && [ $PDEFAULT = "false" ] ; then
					echo "OK: both pvalue and pdefault in systemproperty are equal to false (at id $ID)"
				else
					echo "ERROR: both pvalue and pdefault need to be equal to 'false' but they are not (at id $ID)"
					echo "       pvalue=$PVALUE"
					echo "       pdefault=$PDEFAULT"
					echo "       This is a known upgrade issue - bug 18347437, causing assets to disappear."
					echo ""
					echo "To fix, run the following command:"
					echo "# echo \"update systemproperty set pvalue='false', pdefault='false' where pkey='alert.clearance.alarm';\" | ${SAT_BIN} sqlplus"
					echo ""
					echo "Then, restart the Enterprise Controller:"
					echo "# ${SAT_BIN} stop -wv ; ${SAT_BIN} start -wv"
					echo ""
					echo "Or in HA environment, run:"
					echo "# ${SAT_BIN} ha-stop-no-relocate" 
					echo "# ${SAT_BIN} ha-start -n <node name>" 
					echo ""
				fi
			fi
		fi
	else
		echo "OK: systemproperty does not have the key 'alert.clearance.alarm'"
	fi
fi

rm -f /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.1 /var/tmp/ocdoctor.out.2 /var/tmp/ocdoctor.out.3 >/dev/null 2>/dev/null
