#!/bin/bash

if [ -d /var/opt/sun/xvm/oracle/admin/OCDB/adump/ ]; then
	COUNT=`find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name "OCDB*.aud" 2>/dev/null| wc -l | awk '{print $1}'`
	if [ $COUNT -gt 500 ]; then
		echo "WARNING: There are more than 500 OCDB*.aud files ($COUNT) in /var/opt/sun/xvm/oracle/admin/OCDB/adump/ (Bug 15802818)"
		echo "         The backup may fail because too many files exist in this directory and cannot be tarred."
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			COUNT_OLDER=`find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name "OCDB*.aud" -mtime +2 | wc -l | awk '{print $1}'`
			echo "Trying to automatically fix this - removing $COUNT_OLDER files which are 2 days or older..."
			find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name "OCDB*.aud" -mtime +2 | while read FILE; do
				if [ -f $FILE ]; then			## safety check
					rm -f $FILE				
				fi
			done
			echo ""		
			echo "OK: Older files were removed"
		else
			echo "To fix this, remove all files that are older than 2 days:"
			echo ""
			echo "First, verify the following list:"
			echo "# find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name \"OCDB*.aud\" -mtime +2"
			echo "Then, remove the files:"
			echo "# find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name \"OCDB*.aud\" -mtime +2 -exec rm -f {} \;"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		fi
		echo ""
	else
		if [ $COUNT -ne 0 ]; then
			echo "OK: Found only $COUNT OCDB*.aud files in oracle/admin/OCDB/adump folder"
		else
			echo "OK: Found no OCDB*.aud files in oracle/admin/OCDB/adump folder"
		fi
	fi
	#### Now for lower case
	COUNT=`find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name "ocdb*.aud" 2>/dev/null| wc -l | awk '{print $1}'`
	if [ $COUNT -gt 500 ]; then
		echo "WARNING: There are more than 500 ocdb*.aud files ($COUNT) in /var/opt/sun/xvm/oracle/admin/OCDB/adump/ (Bug 15802818)"
		echo "         The backup may fail because too many files exist in this directory and cannot be tarred."
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			COUNT_OLDER=`find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name "ocdb*.aud" -mtime +2 | wc -l | awk '{print $1}'`
			echo "Trying to automatically fix this - removing $COUNT_OLDER files which are 2 days or older..."
			find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name "ocdb*.aud" -mtime +2 | while read FILE; do
				if [ -f $FILE ]; then			## safety check
					rm -f $FILE				
				fi
			done
			echo ""		
			echo "OK: Older files were removed"
		else
			echo "To fix this, remove all files that are older than 2 days:"
			echo ""
			echo "First, verify the following list:"
			echo "# find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name \"ocdb*.aud\" -mtime +2"
			echo "Then, remove the files:"
			echo "# find /var/opt/sun/xvm/oracle/admin/OCDB/adump/ -name \"ocdb*.aud\" -mtime +2 -exec rm -f {} \;"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		fi
		echo ""
	else
		if [ $COUNT -ne 0 ]; then
			echo "OK: Found only $COUNT ocdb*.aud files in oracle/admin/OCDB/adump folder"
		else
			echo "OK: Found no ocdb*.aud files in oracle/admin/OCDB/adump folder"
		fi
	fi
fi
