#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit 0			#### this is a Solaris specific test
fi

test_user_folder(){				### Same like above, but is used to dump full tables
	TESTUSER=$1
	TESTFOLDER=$2
	TILDAUSER="~$1"
	if [ -d $TESTFOLDER ]; then
		rm -f ${TESTFOLDER}/.OCDoctor-test.*
		touch ${TESTFOLDER}/.OCDoctor-test.$$
		TESTHOMEDIR="~${TESTUSER}"
		eval TESTHOMEDIR=$TESTHOMEDIR
		if [ -f $TESTHOMEDIR/.OCDoctor-test.$$ ]; then
			echo "OK: User '${TESTUSER}' home folder points to the right location"
		else
			echo "ERROR: User '${TESTUSER}' home folder does not resolve to $TESTFOLDER"
			echo "       To rerun this manually, run:"
			echo "       # touch ${TESTFOLDER}/OCDoctor-test.file"
			echo "         and then check if it exists here:"
			echo "       # ls -la ~${TESTUSER}/OCDoctor-test.file"
			echo ""
			if [ -f /etc/auto_home ]; then
				OUTPUT=`grep "^\*" /etc/auto_home 2>/dev/null`
				if [ "$OUTPUT" = "" ]; then
					echo "       Please review /etc/auto_home and /etc/passwd to resolve this."
				else
					echo "       Review /etc/auto_home and also make sure the '*' in it is placed last in the file."
					echo "       Also review /etc/passwd."
				fi
			fi
			echo ""
		fi
		rm -f ${TESTFOLDER}/.OCDoctor-test.$$ >/dev/null 2>/dev/null
	fi
}

#test_user_folder "uce-sds" "/var/opt/sun/xvm/uce/opt/server"	### on 11g to 12c, this folder will be /opt/SUNWuce/server
test_user_folder "oracleoc" "/var/opt/sun/xvm/oracle"
test_user_folder "allstart" "/var/opt/sun/xvm/osp/data"

