#!/bin/bash

FOLDER="/opt/sun/n1gc/etc/"

if [ -d $FOLDER ]; then
	DONOTHING=1
else
	echo "ERROR: Could not find $FOLDER"
	exit
fi

# Check for current file permissions
OUTPUT=`ls -ld $FOLDER | awk '{print $1}'`
if [ "$OUTPUT" = "drwxr-xr-x" ]; then
	echo "OK: n1gc folder has the right permissions"
	exit
else
	echo "ERROR: $FOLDER has the wrong permissions ($OUTPUT)."
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Trying to fix automatically..."
		chmod 755 $FOLDER
		echo "       Done."
		echo ""
	else
		echo "       This will cause issues around discovery and management of assets through the BUI. To fix this, simply run:"
		echo "       # chmod 755 $FOLDER"
		echo ""
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi
