#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi
if [ ! -x $SAT_BIN ]; then
	echo "ERROR: $SAT_BIN not found"
	exit 1
fi
STATUS=`$SAT_BIN status`
if [ "$STATUS" = "online" ];then
        echo "OK: Enterprise Controller status is online"
else
	$SAT_BIN ha-status -d >/var/tmp/OCDoctor-EC-status.$$ 2>/dev/null
	if [ $? -eq 1 ]; then			### not part of HA
	        echo "WARNING: Enterprise Controller status is not online - try starting it using the command:"
		echo "         $SAT_BIN start -w"
		echo ""
	else
		OUTPUT=`grep "^haec.ec.status=" /var/tmp/OCDoctor-EC-status.$$ 2>/dev/null | head -1 | awk -F"=" '{print $2}'`
		if [ "$OUTPUT" = "ONLINE" ]; then
			echo "OK: EC in HA status is online (this machine is passive)"
		else
			echo "WARNING: EC status is not online and ha-status is not online"
			echo "         Try running '$SAT_BIN ha-status -d'" 
			echo ""
		fi
	fi
	rm -f /var/tmp/OCDoctor-EC-status.$$
fi
