#!/bin/bash

#### General variables ###
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi

PROXYSTATUS=`svcs -a | grep common-agent-container| grep scn-proxy | head -1 | awk '{print $1}'`

if [ "$PROXYSTATUS" = "" ]; then
	echo "ERROR: Unable to get 'scn-proxy' service status."
	echo ""
	exit
fi

if [ "$PROXYSTATUS" = "online" ] || [ "$PROXYSTATUS" = "disabled" ]; then
	echo "OK: Colocated proxy status is '$PROXYSTATUS'"
else
	echo "ERROR: Colocated proxy status is '$PROXYSTATUS'"
	echo "       Before upgrading the EC, make sure the colocated proxy is either in 'online' or"
	echo "       'disabled' state, otherwise the upgrade will fail."
	echo ""
fi
