#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	UCE_RC="/var/opt/sun/xvm/uce/usr.local/server/cgi-bin/.uce.rc"
	#UCE_RC="/var/opt/sun/xvm/uce/usr.local/server/cgi-bin/uce.rc"
	ECADM="/opt/sun/xvmoc/bin/ecadm"
else
	UCE_RC="/var/opt/sun/xvm/uce/opt/server/cgi-bin/.uce.rc"	
	#UCE_RC="/var/opt/sun/xvm/uce/opt/server/cgi-bin/uce.rc"
	ECADM="/opt/SUNWxvmoc/bin/ecadm"
fi

DEBUG_ON=0

if [ -f $UCE_RC ]; then
	VAR="log.__file.uce_server_cgi-level"
	OUTPUT=`grep $VAR $UCE_RC 2>/dev/null | sed "s/.*${VAR}, \"*\([A-Za-z][A-Za-z]*\)\"*.*/\1/"`
	if [ ! "$OUTPUT" = "" ] && [ ! "$OUTPUT" = "WARNING" ]; then
		#echo "$VAR is $OUTPUT"
		DEBUG_ON=1
	fi
	VAR="log.__file.uce_server_cgi_publisher-level"
	OUTPUT=`grep $VAR $UCE_RC 2>/dev/null | sed "s/.*${VAR}, \"*\([A-Za-z][A-Za-z]*\)\"*.*/\1/"`
	if [ ! "$OUTPUT" = "" ] && [ ! "$OUTPUT" = "WARNING" ]; then
		#echo "$VAR is $OUTPUT"
		DEBUG_ON=1
	fi
	VAR="log.__file.uce_server_scheduler-level"
	OUTPUT=`grep $VAR $UCE_RC 2>/dev/null | sed "s/.*${VAR}, \"*\([A-Za-z][A-Za-z]*\)\"*.*/\1/"`
	if [ ! "$OUTPUT" = "" ] && [ ! "$OUTPUT" = "WARNING" ]; then
		#echo "$VAR is $OUTPUT"
		DEBUG_ON=1
	fi
	VAR="log.__file.default_logger-level"
	OUTPUT=`grep $VAR $UCE_RC 2>/dev/null | sed "s/.*${VAR}, \"*\([A-Za-z][A-Za-z]*\)\"*.*/\1/"`
	if [ ! "$OUTPUT" = "" ] && [ ! "$OUTPUT" = "DEBUG" ]; then
		#echo "$VAR is $OUTPUT"
		DEBUG_ON=1
	fi
	VAR="invisible.debug.__group1.debug_mode"
	OUTPUT=`grep $VAR $UCE_RC 2>/dev/null | sed "s/.*${VAR}, \"*\([A-Za-z][A-Za-z]*\)\"*.*/\1/"`
	if [ ! "$OUTPUT" = "" ] && [ ! "$OUTPUT" = "false" ]; then
		#echo "$VAR is $OUTPUT"
		DEBUG_ON=1
	fi

	if [ $DEBUG_ON -ne 0 ]; then
		echo "INFO: Debug is enabled in $UCE_RC"
		echo "      Run './OCDoctor.sh --disable-debug' (optional: use --norestart) to turn it off (when you are done debugging)"
	else
		echo "OK: Debug is disabled in .uce.rc"
	fi
else
	exit
fi

###############################
check_debug() {
	INSTANCE=$1
	FILE=$2
	
cat <<EOF > /tmp/params.$$ 
net.sf.hibernate=INFO
com.sun.hss=ALL
com.sun.cacao=ALL
com.sun.cacao=FINER
hal=ALL
com.sun.cacao.atom.impl.AtomServlet=FINER
com.sun.cacao.webserver.impl.security.CacaoAuthenticator=FINER
net.hibernate.util.JDBCExceptionReporter=ALL
org.logicalcobwebs.proxool=OFF
com.sun.scn.assetinv.dao.impl=ALL
com.sun.scn.assetinv.domain.logic.impl=ALL
EOF
	while read param; do
		grep "$param" /var/tmp/OCDoctor.debug-list-filters.$$.out >/dev/null 2>/dev/null
		if [ $? -eq 0 ]; then
			#echo "FOUND            $param  for instance $INSTANCE"
			return 1
		#else
			#echo "Did not find $param for instance $INSTANCE"
		fi
	done < /tmp/params.$$
	rm -f /tmp/params.$$
	return 0
} 
###############################

#### Check cacao
if [ $UNAME = "Linux" ];then
	CACAOADM=/usr/lib/cacao/bin/cacaoadm
	if [ ! -f $CACAOADM ]; then
		CACAOADM="/opt/sun/cacao2/bin/cacaoadm"
	fi
else
    CACAOADM=/opt/sun/cacao2/bin/cacaoadm
	if [ ! -f $CACAOADM ]; then
		CACAOADM="/usr/sbin/cacaoadm"
	fi
fi

if [ ! -f $CACAOADM ]; then
	echo "ERROR: Unable to find cacaoadm in the debug.sh test"
	exit
fi

i="oem-ec"
rm -rf /var/tmp/OCDoctor.debug-list-filters.$$.out >/dev/null 2>/dev/null
$CACAOADM list-filters -i $i > /var/tmp/OCDoctor.debug-list-filters.$$.out 2>/dev/null
check_debug $CACAO_INS "/var/tmp/OCDoctor.debug-list-filters.$$.out"
if [ $? -eq 0 ]; then
	echo "OK: Debug is disabled for cacao instance $i"
else
	echo "INFO: Debug is enabled for cacao instance $i"
	echo "      Run './OCDoctor.sh --disable-debug' (optional: use --norestart) to turn it off (when you are done debugging)"
fi


rm -rf /var/tmp/OCDoctor.debug-list-filters.$$.out >/dev/null 2>/dev/null



