#!/bin/bash


##### Check if we're in disconnected mode
if [ "$UNAME" = "Linux" ];then
	if [ -f /var/opt/sun/xvm/uce/usr.local/server/cgi-bin/.uce.rc ]; then
		UCE_RC="/var/opt/sun/xvm/uce/usr.local/server/cgi-bin/.uce.rc"
	else
		UCE_RC="/usr/local/uce/server/cgi-bin/.uce.rc"
	fi
else
	if [ -f /var/opt/sun/xvm/uce/opt/server/cgi-bin/.uce.rc ]; then
		UCE_RC="/var/opt/sun/xvm/uce/opt/server/cgi-bin/.uce.rc"
	else
		UCE_RC="/opt/SUNWuce/server/cgi-bin/.uce.rc"
	fi
fi
OUTPUT=`grep "general\.server_name" $UCE_RC 2>/dev/null| awk -F"\"" '{print $2}' 2>/dev/null | grep -v "\.oracle\.com" 2>/dev/null | grep -v "\.sun\.com" 2>/dev/null`
### if set to anything but oracle.com or sun.com, it's disconnected, no need to check anything
if [ "$OUTPUT" != "" ]; then
	echo "OK: EC is in disconnected mode"
	### Disconnected
	exit 0
fi

#### if not disconnected, make sure we don't have "conn_properties_file_name" in there (Bug 15791348 )
#### ( all ) ( invisible.log.__file.conn_properties_file_name, "/var/opt/sun/xvm/uce/opt/server/.disconnected.properties" );
OUTPUT=`grep conn_properties_file_name $UCE_RC 2>/dev/null`
if [ "$OUTPUT" = "" ]; then
	echo "OK: no 'conn_properties_file_name' value in .uce.rc"
else
	echo "ERROR: EC is not in disconnected mode, but found 'conn_properties_file_name' in .uce.rc"
	echo "       If you are using an HTTP proxy, you will not be able to connect to the internet due to a bug (Bug 15791348)."
	echo ""
	echo "To fix it, first stop uce-server and uce-scheduler:"
	if [ "$UNAME" = "Linux" ]; then
		echo "/etc/init.d/uce_scheduler stop"
		echo "/etc/init.d/uce_server stop"
	else
		echo "# svcadm disable uce-scheduler"
		echo "# svcadm disable uce-server"
	fi
	echo ""
	echo "Then, edit $UCE_RC (make a backup copy first) and remove the line:"
	grep conn_properties_file_name ${UCE_RC}
	echo ""
	echo "Then start the services back up:"
	if [ "$UNAME" = "Linux" ]; then
		echo "/etc/init.d/uce_server start"
		echo "/etc/init.d/uce_scheduler start"
	else
		echo "# svcadm enable uce-server"
		echo "# svcadm enable uce-scheduler"
	fi
	echo ""
fi