#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        HTCONF="/var/opt/sun/xvm/uce/etc/uce_server/httpd-ssl.conf"
else
        HTCONF="/var/opt/sun/xvm/uce/etc.opt/server/uce_server/httpd-ssl.conf"
fi

if [ ! -f $HTCONF ]; then
        echo "ERROR: Unable to find $HTCONF for the DNS test"
        echo ""
        exit 1
fi

grep -i "^<VirtualHost" $HTCONF | awk '{print $2}' | awk -F":" '{print $1}' | sort -u | while read VIRTNAME; do
	if [ "$VIRTNAME" = "*" ]; then
		echo "OK: Virtual hostname in httpd-ssl.conf is '*'"
	else
		### Try to see if DNS is resolved
		OUTPUT=`getent hosts $VIRTNAME 2>/dev/null`
		if [ $? -eq 0 ]; then
			echo "WARNING: Running 'getent hosts $VIRTNAME' should have returned an error, but instead, it resolved to:"
			echo ""
			printf "$OUTPUT\n"
			IPCHECK=`printf "$OUTPUT\n" | awk '{print $1}'`
			echo "   and the IP $IPCHECK resolves to:"
			getent hosts $IPCHECK
			echo ""
			echo "If you have issues with Ops Center, like not being able to get the login screen, edit the following file:"
			echo $HTCONF
			echo ""
			echo "And change the following from (there will be more than one instance, you need to change them all):"
			echo "<VirtualHost $VIRTNAME:....>"
			echo "   - to -"
			echo "<VirtualHost *:....>"
			echo ""
			echo "Basically change $VIRTNAME to asterisk (the character *)."
			echo ""
			echo "And restart the Enterprise Controller."
			echo "IMPORTANT: You must change this to ALL "VirtualHost" instances in this file."
			echo ""
		else
			echo "OK: DNS does not unexpectedly resolve hostname '$VIRTNAME'"
		fi
	fi
done

