#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	UCE_RC="/var/opt/sun/xvm/uce/usr.local/server/cgi-bin/.uce.rc"
	ECADM="/opt/sun/xvmoc/bin/ecadm"
else
	UCE_RC="/var/opt/sun/xvm/uce/opt/server/cgi-bin/.uce.rc"	
	ECADM="/opt/SUNWxvmoc/bin/ecadm"
fi



if [ -f $UCE_RC ]; then
	echo "OK: Found the server .uce.rc at $UCE_RC"
else
	echo "ERROR: Could not find the file $UCE_RC. This will cause many problems!"
	echo ""
	exit
fi

MOD=`ls -la $UCE_RC | awk '{print $1}' | grep "\-rw\-r\-\-r\-\-"`
if [ "$MOD" != "" ]; then
	echo "OK: Server .uce.rc has the correct file permissions"
else
	echo "ERROR: $UCE_RC should have 0644 permissions"
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Automatically fixing this..."
		chmod 0644 $UCE_RC
		echo "       Done!"
	else
		echo "       To fix it, run:"
		echo "# chmod 0644 $UCE_RC"
		echo ""
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi

OWNER=`ls -la $UCE_RC | awk '{printf("%s %s",$3,$4)}'`
if [ "$OWNER" = "uce-sds uce-sds" ]; then
	echo "OK: Server .uce.rc has the correct ownership"
else
        echo "ERROR: $UCE_RC ownership is $OWNER, but it should be 'uce-sds:uce-sds'"
        if [ "$OCDOCTOR_FIX" = "1" ];then
                echo "       Automatically fixing this..."
                chown uce-sds:uce-sds $UCE_RC
                echo "       Done!"
        else
                echo "       To fix it, run:"
                echo "# chown uce-sds:uce-sds $UCE_RC"
                echo ""
                echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
                echo ""
        fi
fi

##### Check for capital letter in server name
SERVERNAME=`grep general.server_name $UCE_RC 2>/dev/null | awk -F"\"" '{print \$2}' 2>/dev/null`
if [ "$SERVERNAME" = "" ]; then
	#echo "No Server name"
	DONOTHING=1
	# this means that the server_name is taken from uce.rc, not .uce.rc, this server is probably not in disconnected mode
else
	echo "$SERVERNAME" | egrep '[A-Z].*' >/dev/null 2>/dev/null
	if [ $? -eq 0 ]; then
		echo "WARNING: server_name value in .uce.rc contains capital letters (server_name=$SERVERNAME) - this may cause communication issues"
		echo "         File is $UCE_RC"
		echo "         Stop the Enterprise Controller BEFORE modifying this file (otherwise your changes will be lost):"
		echo "# $ECADM stop -w"
		echo "         Then to restart it, run:"
		echo "# $ECADM start -w"
		echo ""
	else
		echo "OK: No capital letters in server_name in .uce.rc (server_name=$SERVERNAME)"
	fi
fi


