#!/bin/bash

# Bug 15806232 - missing /etc/.java breaks ecadm backup
#### Check version ####
MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        source $MY_DIR/../../functions
        get_version ""          ### Provide VERSIONNUM
        if [ $VERSIONNUM -gt "12112076" ];then               #### Is this newer than Update 1? 
                exit 0           #### Only applies to U1 and below
        fi
fi

if [ ! -d /etc/.java ]; then
	echo "ERROR: Could not find folder /etc/.java"
	echo "       This will cause the Enterprise Manager backup to fail".
	echo ""
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "Creating folder /etc/.java with the proper permissions"
		mkdir /etc/.java
		chmod 755 /etc/.java
		chown root /etc/.java
		echo ""
		echo "Done."
		echo ""
	else
		echo "       To fix, create this folder and set the proper permissions before running the EC backup:".
		echo "# mkdir /etc/.java"
		echo "# chmod 755 /etc/.java"
		echo "# chown root /etc/.java"
		echo ""
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi
