#!/bin/bash

MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        . $MY_DIR/../../functions
        get_version
        if [ $VERSIONNUM -gt "12220000" ];then
                exit 0           #### Check for JDK 8 only if not upgraded to 12c R2 U2 yet
        fi
fi

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi
UNAMER=`uname -r`
if [ ! "$UNAMER" = "5.11" ]; then
        exit
fi

JAVAPATH=`/usr/sbin/cacaoadm get-param -i oem-ec java-home 2>/dev/null| sed 's/java-home=//' 2>/dev/null`
JAVA8=`echo $JAVAPATH | grep 1\.8`

if [ "$JAVA8" = "" ]; then
	echo "OK: 'oem-ec' cacao instance is not using Java 1.8 but Java $JAVAPATH"
else
	echo "ERROR: Java cacao instance 'oem-ec' is using Java 1.8, at the path $JAVAPATH"
	echo "       This may cause some known issues."
	echo ""
	echo "To fix this, do the following:"
	echo "1) Stop the EC:"
	echo "# /opt/SUNWxvmoc/bin/ecadm stop -w"
	echo ""
	echo "2) Set the parameter java-home to point to the jdk1.7 path:"
	echo "   IMPORTANT: check for the exact jdk1.7 path on your system first!"
	echo "# /usr/sbin/cacaoadm set-param -i oem-ec java-home=/usr/jdk/instances/jdk1.7.0"
	echo ""
	echo "3) Verify the change:"
	echo "# /usr/sbin/cacaoadm get-param -i oem-ec java-home"
	echo ""
	echo "4) Start the EC:"
	echo "# /opt/SUNWxvmoc/bin/ecadm start -w"
	echo ""
	echo "5) Verify also using ps:"
	echo "# ps -ef | grep jdk"
	echo ""
fi
