#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	DOT_UCE_RC="/var/opt/sun/xvm/uce/usr.local/server/cgi-bin/.uce.rc"
	AWK=/usr/bin/awk
else
	DOT_UCE_RC="/var/opt/sun/xvm/uce/opt/server/cgi-bin/.uce.rc"
	AWK=/usr/bin/nawk
fi

findMaxJvmPath_from_cacao(){
        UNAME=`uname`
        if [ "$UNAME" = "Linux" ];then
                MAXJVMPATH=`/opt/sun/cacao2/bin/cacaoadm get-param -i oem-ec java-home 2>/dev/null | sed 's/java-home=//' 2>/dev/null`
        else
                MAXJVMPATH=`/usr/sbin/cacaoadm get-param -i oem-ec java-home 2>/dev/null| sed 's/java-home=//' 2>/dev/null`
        fi
}

JAVA=`grep invisible.java ${DOT_UCE_RC} 2>/dev/null | cut -d\" -f2`
if [ "$JAVA" = "" ]; then		## if it's still not there
	# no invisisble.java definition in .uce.rc, so /usr/bin/java will be used as defined in uce.rc
	# this is ok as long as /usr/bin/java is of version Java 7 or higher
	JAVA=/usr/bin/java
	JAVA_MAJOR_VERSION=$($JAVA -version 2>&1 | $AWK -F . '/java version "1./ {print $2}')
	if [ -n "$JAVA_MAJOR_VERSION" ]; then
		if [ "$JAVA_MAJOR_VERSION" -gt 6 ]; then
			echo "OK: $JAVA is of version JDK 7 or higher" 
			exit 0
		fi
	fi
	echo "ERROR: Unable to find value of JAVA (invisible.java) in $DOT_UCE_RC"
	echo "ERROR: and $JAVA does not exist or is of version below JDK 7"
	echo ""
	findMaxJvmPath_from_cacao ""
	if [ "$MAXJVMPATH" = "" ]; then
		echo "ERROR: Unable to obtain JAVA value from 'cacaoadm get-param -i oem-ec java-home'"
		echo ""
		exit 1
	fi
	if [ ! -f ${MAXJVMPATH}/bin/java ]; then
		echo "ERROR: Unable to suggest a solution as ${MAXJVMPATH}/bin/java does not exist"
		echo ""
		exit 1
	fi
	echo "To fix it, first stop uce-server and uce-scheduler:"
	if [ "$UNAME" = "Linux" ]; then
		echo "# /etc/init.d/uce_scheduler stop"
		echo "# /etc/init.d/uce_server stop"
	else
		echo "# svcadm disable uce-scheduler"
		echo "# svcadm disable uce-server"
	fi
	echo ""
	echo "Then, modify $DOT_UCE_RC, by adding the line:"
	echo "( all ) ( invisible.java, \"${MAXJVMPATH}/bin/java\" );"
	echo ""
	echo "Then start the services back up:"
	if [ "$UNAME" = "Linux" ]; then
		echo "# /etc/init.d/uce_server start"
		echo "# /etc/init.d/uce_scheduler start"
	else
		echo "# svcadm enable uce-server"
		echo "# svcadm enable uce-scheduler"
	fi
	echo ""

	exit 1
fi

if [ ! -f $JAVA ] ; then
	echo "ERROR: uce-server .uce.rc file points to JAVA at $JAVA, but $JAVA does not exist (known issue Bug 15804586)"
	echo ""
	findMaxJvmPath_from_cacao ""
	if [ "$MAXJVMPATH" = "" ]; then
		echo "ERROR: Unable to obtain JAVA value from 'cacaoadm get-param -i oem-ec java-home'"
		echo ""
		exit 1
	fi
	if [ ! -f ${MAXJVMPATH}/bin/java ]; then
		echo "ERROR: Unable to suggest a solution as ${MAXJVMPATH}/bin/java does not exist"
		echo ""
		exit 1
	fi
	echo "To fix it, first stop uce-server and uce-scheduler:"
	if [ "$UNAME" = "Linux" ]; then
		echo "# /etc/init.d/uce_scheduler stop"
		echo "# /etc/init.d/uce_server stop"
	else
		echo "# svcadm disable uce-scheduler"
		echo "# svcadm disable uce-server"
	fi
	echo ""
	echo "Then, modify $DOT_UCE_RC, and change the line:"
	grep invisible.java ${DOT_UCE_RC}
	echo " - to - "
	echo "( all ) ( invisible.java, \"${MAXJVMPATH}/bin/java\" );"
	echo ""
	echo "Then start the services back up:"
	if [ "$UNAME" = "Linux" ]; then
		echo "# /etc/init.d/uce_server start"
		echo "# /etc/init.d/uce_scheduler start"
	else
		echo "# svcadm enable uce-server"
		echo "# svcadm enable uce-scheduler"
	fi
	echo ""

	#mv ${rc_file1} ${rc_file1}.$$
	#grep -v invisible.java ${rc_file1}.$$ > ${rc_file1}
	#fi
else
	echo "OK: uce-server .uce.rc file points to a proper JAVA"
fi
