#!/bin/bash

if [ "$UIDOCTOR" = "1" ]; then
	### When running from the UI, LD_LIBRARY_PATH is different
	exit
fi
if [ "$(uname)" != "SunOS" ]; then
	# check is only applicable for Solaris 11 (or higher) ECs/PCs
	exit
fi
if [ "$(uname -r | cut -d. -f2)" -lt 11 ]; then
	# check is only applicable for Solaris 11 (or higher) ECs/PCs
	exit
fi
#if [ -f /opt/SUNWxvmoc/bin/ecadm ]; then
#       # in case this is a EC, we did run this check already
#       exit
#fi

if [ ! "$LD_LIBRARY_PATH_DOCTOR_ORIGINAL" = "" ]; then		### Saved by the Doctor before setting LD_LIBRARY_PATH
	TEST_LIB=$LD_LIBRARY_PATH_DOCTOR_ORIGINAL
else
	TEST_LIB=$LD_LIBRARY_PATH
fi
if [ "$TEST_LIB" = "" ]; then
	echo "OK: LD_LIBRARY_PATH is not set"
else
	if [ "$TEST_LIB" = "EMPTY" ]; then
		echo "OK: LD_LIBRARY_PATH is not set"
	else
		TEST_LIB_HAS_USR_LIB=$(echo $TEST_LIB | tr ':' '\n' | egrep '^/usr/lib$')
		if [ -z "$TEST_LIB_HAS_USR_LIB" ]; then
			echo "OK: LD_LIBRARY_PATH does not contain /usr/lib"
		else
			echo
			echo "WARNING: Environment variable LD_LIBRARY_PATH includes /usr/lib !"
			echo "         This can cause EC upgrade issues resulting in a rollback (Bug 22565940)!"
			echo ""
		fi
	fi
fi
