#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        GREP=/bin/grep
        HTCONF="/var/opt/sun/xvm/uce/etc/uce_server/httpd.conf"
        if [ ! -f $HTCONF ]; then
                HTCONF="/etc/uce_server/uce_server/httpd.conf"
        fi
else
        GREP=/usr/sfw/bin/ggrep
        HTCONF="/var/opt/sun/xvm/uce/etc.opt/server/uce_server/httpd.conf"
        if [ ! -f $HTCONF ]; then
                HTCONF="/etc/opt/SUNWuce/server/uce_server/httpd.conf"
        fi
fi

if [ ! -f $HTCONF ]; then
        echo "ERROR: Unable to find the location of the Ops Center httpd.conf in the local-kb-permissions test"
        echo ""
        exit 1
fi
if [ ! -x $GREP ]; then
	echo "ERROR: Could not run $GREP (GNU grep) in the local-kb-permissions test"
	UNAMER=`uname -r`
	if [ "$UNAMER" = "5.11" ]; then
		echo "Try 'pkg install /text/gnu-grep' to install it"
	fi
	echo ""
	exit 1
fi

LOCAL_KB=`${GREP} -A10 "Listen 8005" $HTCONF 2>/dev/null| grep "^DocumentRoot" 2>/dev/null | head -1 2>/dev/null| awk '{print $2}' 2>/dev/null`
if [ "$LOCAL_KB" = "" ]; then
	echo "OK: Disconnected mode is not configured"
	exit 0
fi
if [ -d $LOCAL_KB ]; then
	OUTPUT=`find $LOCAL_KB \! -perm 0755 -type d`
	if [ ! "$OUTPUT" = "" ]; then
		echo "ERROR: You have configured disconnected mode however the following folders do not have the correct permissions:"
		printf "$OUTPUT\n"
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Trying to automatically fix this..."
			chmod -R 755 $LOCAL_KB
			echo "OK: Fix was applied"
			echo ""
		else
			echo "To fix, run the following 'chmod' command:"
			echo "# chmod -R 755 $LOCAL_KB"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
			echo ""
		fi
	else
		echo "OK: local-kb folder has the right permissions"
	fi
fi
