#!/bin/bash

FAILED=0

ENV_LANG=`locale | grep LANG | awk -F"=" '{print $2}' | sed -e 's/\"//g'`
ENV_LC_CTYPE=`locale | grep LC_CTYPE | awk -F"=" '{print $2}' | sed -e 's/\"//g'`
ENV_LC_MESSAGES=`locale | grep LC_MESSAGES | awk -F"=" '{print $2}' | sed -e 's/\"//g'`

ENV_LC_CTYPE_EN=`echo $ENV_LC_CTYPE|grep -i en_US`
if [ ! "$ENV_LC_CTYPE" = "C" ] && [ "$ENV_LC_CTYPE_EN" = "" ]; then
	FAILED=1
	FAILED_L=$ENV_LC_CTYPE
fi

ENV_LC_MESSAGES_EN=`echo $ENV_LC_MESSAGES|grep -i en_US`
if [ ! "$ENV_LC_MESSAGES" = "C" ] && [ "$ENV_LC_MESSAGES_EN" = "" ]; then
	FAILED=1
	FAILED_L=$ENV_LC_MESSAGES
fi

# in case just LANG has been set to "C" or "en_US.*" we are good
if [ "$FAILED" -eq 1 -a -z "$FAILED_L" ]; then
	ENV_LANG=`locale | grep LANG | awk -F"=" '{print $2}' | sed -e 's/\"//g'`
	ENV_LANG_EN=`echo $ENV_LANG|grep -i en_US`
	if [ "$ENV_LANG" = "C" ] || [ -n "$ENV_LANG_EN" ]; then
		FAILED=0
		ENV_LC_CTYPE="$ENV_LANG"
	fi
fi
	

if [ $FAILED -eq 0 ]; then
	echo "OK: Locales are OK (\"$ENV_LC_CTYPE\")"
else
	echo "WARNING: Locales are set to \"$FAILED_L\". This may cause issues when upgrading. Make sure you run:"
	echo "         # export LC_ALL=C"
	echo "         # export LANG=C"
	echo "         You can verify the settings by running:"
	echo "         # locale"
	echo ""
fi
