#!/bin/bash

OS=`uname`
PRIVATE_FOLDER="nothinghere"
if [ $OS == "Linux" ]; then
	UCE_RC="/var/opt/sun/xvm/uce/usr.local/server/cgi-bin/.uce.rc"
	if [ -d /var/opt/sun/xvm/uce/usr.local/server/private/ ]; then	# 12c with no update library goes here
		PRIVATE_FOLDER=/var/opt/sun/xvm/uce/usr.local/server/private/
	fi
else
	UCE_RC="/var/opt/sun/xvm/uce/opt/server/cgi-bin/.uce.rc"
	if [ -d /var/opt/sun/xvm/uce/opt/server/private ]; then		#12c with no update library goes here
    	PRIVATE_FOLDER=/var/opt/sun/xvm/uce/opt/server/private
    fi
fi

if [ ! -f ${UCE_RC} ]; then
	echo "ERROR: Could not find ${UCE_RC} in private folder test"
	echo ""
	exit 1
fi

#### Determine Private Dir
PRIVATE_FOLDER_TMP=`grep "private_dir" $UCE_RC 2>/dev/null | head -1 2>/dev/null | awk -F"\"" '{print $2}' 2>/dev/null`
if [ ! "$PRIVATE_FOLDER_TMP" = "" ]; then
	if [ -d $PRIVATE_FOLDER_TMP ]; then			### 12c has libraries
		PRIVATE_FOLDER=$PRIVATE_FOLDER_TMP
	fi
fi
DATA_FOLDER=`dirname $PRIVATE_FOLDER`
if [ ! -d $DATA_FOLDER ]; then
	echo "ERROR: Could not find the library data folder in the private dir test"
	echo ""
	exit 1 
fi
if [ ! -d $PRIVATE_FOLDER ]; then
	if [ "$PRIVATE_FOLDER" = "nothinghere" ]; then
		echo "ERROR: Could not find the 'private' folder"
		echo ""
		exit 1 
	else
		#### This is GA->U3 upgrade rollback bug, this folder is not created / bug 16568366 
		echo "ERROR: 'private' folder does not exist. This is a known issue (Bug 16568366)"
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Trying to automatically fix this..."
			mkdir -p ${PRIVATE_FOLDER}/config_files
			chown -R uce-sds:uce-sds $PRIVATE_DIR
			echo "OK: ownership was fixed on $TESTFOLDER"
		else 
			echo "To fix, run the following:"
			echo ""
			echo "# mkdir -p ${PRIVATE_FOLDER}/config_files"
			echo "# chown -R uce-sds:uce-sds ${PRIVATE_DIR}"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		fi
	fi
else
	echo "OK: UCE 'private' folder exists"
fi
