#!/bin/bash

MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        source $MY_DIR/../../functions
else
		exit
fi

UNAME=`uname`

if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi

##### Fix SEQ_COUNT ######
rm -f /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.1 /var/tmp/ocdoctor.out.2 >/dev/null 2>/dev/null
SQL_Template /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.1 "select max(id) from systemproperty;"		### Current max id
SQL_Template_cont /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.2 "select SEQ_COUNT from SEQUENCE where SEQ_NAME='SEQ_PROPERTY';"	### Current SEQUENCE
echo "@/var/tmp/ocdoctor.sql" |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null

if [ -f /var/tmp/ocdoctor.out.1 ]; then
	MAXID=`cat /var/tmp/ocdoctor.out.1 | awk '{print $1}' 2>/dev/null`
	if [ -f /var/tmp/ocdoctor.out.2 ]; then
		SEQCOUNT=`cat /var/tmp/ocdoctor.out.2 | awk '{print $1}' 2>/dev/null`
		#echo "MAXID:$MAXID  SEQCOUNT:$SEQCOUNT"
		# Make sure both are integers
		let TEST=$MAXID+1 2>/dev/null
		let TEST=$TEST-1 2>/dev/null
		if [ "$TEST" = "$MAXID" ] && [ $TEST -eq $MAXID ] ; then
			let TEST=$SEQCOUNT+1 2>/dev/null
			let TEST=$TEST-1 2>/dev/null
			if [ "$TEST" = "$SEQCOUNT" ] && [ $TEST -eq $SEQCOUNT ] ; then
				if [ $MAXID -gt $SEQCOUNT ]; then
					echo "ERROR: Need to adjust SEQ_COUNT in the table to avoid various issues in Ops Center (MAXID:$MAXID SEQCOUNT:$SEQCOUNT)";
					if [ "$OCDOCTOR_FIX" = "1" ];then
						echo ""
						echo "Trying to automatically fix this..."
						echo "update SEQUENCE set SEQ_COUNT='$MAXID' where SEQ_NAME='SEQ_PROPERTY';" | ${SAT_BIN} sqlplus >/dev/null 2>/dev/null
						echo "Done."
						echo ""
					else
						echo ""
						echo "To fix, run the following command on the EC as root:"
						echo "# echo \"update SEQUENCE set SEQ_COUNT='$MAXID' where SEQ_NAME='SEQ_PROPERTY';\" | ${SAT_BIN} sqlplus "
						echo ""
						echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
						echo ""
					fi
					echo "NOTE: You may need to restart the EC for this to take effect."
					echo ""
				else
					echo "OK: No need to adjust SEQ_COUNT (MAXID:$MAXID SEQCOUNT:$SEQCOUNT)"
				fi
			fi
		fi
	fi
fi

rm -f /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out.1 /var/tmp/ocdoctor.out.2 >/dev/null 2>/dev/null
