#!/bin/bash

MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        source $MY_DIR/../../functions
else
		exit
fi

get_version
if [ $VERSIONNUM -lt "12200000" ]; then
        IS_DIAMOND=false
else
        IS_DIAMOND=true
fi


UNAME=`uname`

if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/ecadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/ecadm"
fi

rm -f /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out >/dev/null 2>/dev/null
SQL_Template /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out "select * from HD_RESOURCE_PARAMETER where KEY='ssh.tunnel.info';"
echo "@/var/tmp/ocdoctor.sql" |  ${SAT_BIN} sqlplus >/dev/null 2>/dev/null

if [ -f /var/tmp/ocdoctor.out ]; then
	if [ -s /var/tmp/ocdoctor.out ]; then
		if $IS_DIAMOND; then
			# check if we stepped already in this bug
			if grep 'at com.sun.hss.domain.internal.SSHTunnelInfo.convert' /var/cacao/instances/oem-ec/logs/cacao.* >/dev/null 2>&1; then
				# we upgraded already to Diamond and stepped into the bug
				echo
				echo "ERROR: error messages in the cacao log are pointing to EC startup issues caused by bug 18392349"
				echo "       The startup issue is triggered by a ssh.tunnel.info row in DB table HD_RESOURCE_PARAMETER"
				echo
				echo "Open a SR to get this fixed if there are Proxy Controllers connected to the EC via ssh tunnel."
				echo
				echo "If this is a leftover from a previous or failed Proxy installation you can perform the following to fix the issue:"
				echo
				echo "# echo \"delete from HD_RESOURCE_PARAMETER where KEY='ssh.tunnel.info';\" | ${SAT_BIN} sqlplus"
				echo
				echo "Ignore this ERRROR message if the issue has been fixed already (it is triggered by old error messages in the cacao logs)"
				echo
			else
				echo "OK: no issue found caused by bug 18392349 (ssh tunnel info bug)"
			fi
		else
			echo
			echo "ERROR: row with ssh.tunnel.info found in DB table HD_RESOURCE_PARAMETER"
			echo "       This is a trigger for a known upgrade issue - bug 18392349, causing EC startup failures"
			echo 
			echo "If there is still a Proxy connected via ssh tunnel: do *NOT* upgrade to 12cR2! Open a SR and mention above BugID!" 
			echo
			echo "If this is a leftover from a previous or failed Proxy installation you can perform the following to fix the issue:"
			echo
			echo "# echo \"delete from HD_RESOURCE_PARAMETER where KEY='ssh.tunnel.info';\" | ${SAT_BIN} sqlplus"
			echo
		fi
	else
		echo "OK: no row with ssh.tunnel.info found in DB table HD_RESOURCE_PARAMETER"
	fi
fi

rm -f /var/tmp/ocdoctor.sql /var/tmp/ocdoctor.out >/dev/null 2>/dev/null
