#!/bin/bash

#### Script to check that LUNs in FC-Libraries are unique

#### General variables ###
#
# check is disabled for now due to high system load seen generated by the jmxdump commands
exit 0
        
JMXDUMP=/opt/sun/xvm/bin/jmxdump

UFN_DUMP=/tmp/FC-Library_Dump.$$.ufn
LUN_DUMP=/tmp/FC-Library_Dump.$$.lun

TMPFILE=/tmp/fclib-test.$$

LOOKUPDIR=/tmp/lookupdir.$$

if [ -x $JMXDUMP ]; then
	$JMXDUMP s t root wellknown 'com.sun.hss.domain:type=FCLibrary,*' UserFriendlyName 2>/dev/null | egrep '^ObjectName = |^UserFriendlyName = ' > $UFN_DUMP
	$JMXDUMP s t root wellknown 'com.sun.hss.domain:type=FCLibrary,*' AllImageRefs 2>/dev/null | egrep '^AllImageRefs' > $LUN_DUMP

	grep '^AllImageRefs' $LUN_DUMP | while read LINE
	do
		echo $LINE | cut -d, -f2 | cut -c1-32 | tr '[A-F]' '[a-f]'
	done | sort | uniq -c | awk ' $1 != 1 {print $2}' > $TMPFILE

        if [ -s "$TMPFILE" ]; then

		# we will create now files named by the ID of the FC-Libs which will contain the UserFriendlyName
		mkdir -p $LOOKUPDIR
		while read ON
		do
			read UFN
			FC_ID=$(echo $ON | cut -d/ -f4 | cut -c1-36)
			echo "$UFN" | cut -c20- > ${LOOKUPDIR}/${FC_ID}
		done < $UFN_DUMP

		# found LUNs which appear multiple times in the FC Libraries

		printf "\nERROR: One or more Storage LUNs appear multiple times in the FC Libraries!\n\n"

		for LUN in $(cat $TMPFILE)
		do
			printf "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n\nLUN WWN / GUID: $LUN\n\n"
			
			grep -i $LUN $LUN_DUMP | while read ALLIMAGE_LINE
			do
		
				printf "LUN is listed in FC Library \"$(cat ${LOOKUPDIR}/$(echo $ALLIMAGE_LINE | cut -d/ -f4 |cut -c1-36) )\" as Image Reference:\n\n"
				printf "$ALLIMAGE_LINE\n\n"
			done
			printf "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n"
		done
		printf "\nRequired Action: remove all but one of the LUNs from the FC-Libraries!\n\n"

	else
		echo "OK: FC Libraries do not contain duplicate LUNs"
	fi
	rm -fr $UFN_DUMP $LUN_DUMP $TMPFILE $LOOKUPDIR
fi

exit
