#!/bin/bash



#### Actual test ####
UFOLDER="/var/opt/sun/xvm/update-saved-state"
if [ -d $UFOLDER ]; then
	OUTPUT=`ls -ld $UFOLDER | awk '{print $1}'`
	GOUTPUT=`echo $OUTPUT | grep "drwxr-xr-x"`
	if [ "$GOUTPUT" = "" ]; then
		echo "ERROR: $UFOLDER permissions are '$OUTPUT', but they need to be 'drwxr-xr-x'"
		echo "       It is highly recommended to fix this prior to upgrading the EC (Bug 15801603)."
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
			echo "Trying to automatically fix this..."
			chmod 755 $UFOLDER
			echo "OK: Fix was applied"
			echo ""
		else
			echo "To fix, chmod this folder to 755"
			echo "# chmod 755 $UFOLDER"
			echo ""
			echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
			echo ""
		fi
	else
		echo "OK: 'update-saved-state' folder exists and has the right permissions"
	fi
else
	echo "ERROR: $UFOLDER folder does not exist"
	echo "       It is highly recommended to fix this prior to upgrading the EC (Bug 15801603)."
	echo ""
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "Trying to automatically fix this..."
		mkdir -p $UFOLDER
		chmod 755 $UFOLDER
		echo "OK: Fix was applied"
		echo ""
	else
		echo "To fix, create this folder and chmod it 755"
		echo "# mkdir -p $UFOLDER"
		echo "# chmod 755 $UFOLDER"
		echo ""
		echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi
