#!/bin/bash

MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        source $MY_DIR/../../functions
else
	if [ -f /var/opt/sun/xvm/OCDoctor/functions ]; then
		source /var/opt/sun/xvm/OCDoctor/functions
	else
		exit
	fi
fi

get_version
if [ $VERSIONNUM -gt "12200000" ]; then
	### this is relevant if 12.1* upgrade to 12.2* failed, and some folders are left behind
	### next time you run the upgrade, the unzip will fail due to existing files
	### this is fixed in 12.2 Update 1
	exit
fi

WORKED=1	### used later to determine if to print the "OK" message

FOLDER="/var/js/patch/custom/148888-05"
if [ -d $FOLDER ] || [ -f ${FOLDER}.zip ]; then
	echo "ERROR: $FOLDER exists - it may be a leftover from a failed upgrade."
	echo "       You must remove it before upgrading to 12cR2, otherwise the installation will freeze"
	echo "       during the unzip process (bug 18278696)."
	echo "IMPORTANT: Do NOT remove these files if you are not upgrading to 12CR2 just yet. Only"
	echo "           remove those files prior to the upgrade."
	echo ""
	echo "To fix, simply remove the folder and the zip file:"
	echo "# rm -rf ${FOLDER}*"
	echo ""
	WORKED=0
fi

FOLDER="/var/js/patch/custom/150435-01"
if [ -d $FOLDER ] || [ -f ${FOLDER}.zip ]; then
	echo "ERROR: $FOLDER exists - it may be a leftover from a failed upgrade."
	echo "       You must remove it before upgrading to 12cR2, otherwise the installation will freeze"
	echo "       during the unzip process (bug 18278696)."
	echo "IMPORTANT: Do NOT remove these files if you are not upgrading to 12CR2 just yet. Only"
	echo "           remove those files prior to the upgrade."
	echo ""
	echo "To fix, simply remove the folder and the zip file:"
	echo "# rm -rf ${FOLDER}*"
	echo ""
	WORKED=0
fi

FOLDER="/var/js/patch/custom/148889-05"
if [ -d $FOLDER ] || [ -f ${FOLDER}.zip ]; then
	echo "ERROR: $FOLDER exists - it may be a leftover from a failed upgrade."
	echo "       You must remove it before upgrading to 12cR2, otherwise the installation will freeze"
	echo "       during the unzip process (bug 18278696)."
	echo "IMPORTANT: Do NOT remove these files if you are not upgrading to 12CR2 just yet. Only"
	echo "           remove those files prior to the upgrade."
	echo ""
	echo "To fix, simply remove the folder and the zip file:"
	echo "# rm -rf ${FOLDER}*"
	echo ""
	WORKED=0
fi

FOLDER="/var/js/patch/custom/150436-01"
if [ -d $FOLDER ] || [ -f ${FOLDER}.zip ]; then
	echo "ERROR: $FOLDER exists - it may be a leftover from a failed upgrade."
	echo "       You must remove it before upgrading to 12cR2, otherwise the installation will freeze"
	echo "       during the unzip process (bug 18278696)."
	echo "IMPORTANT: Do NOT remove these files if you are not upgrading to 12CR2 just yet. Only"
	echo "           remove those files prior to the upgrade."
	echo ""
	echo "To fix, simply remove the folder and the zip file:"
	echo "# rm -rf ${FOLDER}*"
	echo ""
	WORKED=0
fi

if [ $WORKED -eq 1 ]; then
	echo "OK: No leftover files in /var/js/patch/custom"
fi
