#!/bin/bash

UNAME=`uname`

if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/ecadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/ecadm"
fi
if [ ! -f $SAT_BIN ]; then		## for testing purposes
	exit
fi

$SAT_BIN verify-db -v > /tmp/doctor.out.$$ 2>&1

OUTPUT=`grep "Invalid pad value" /tmp/doctor.out.$$ | head -1`
rm -f /tmp/doctor.out.$$

if [ "$OUTPUT" = "" ]; then
	echo "OK: verify-db does not return 'Invalid pad value' message"
else
	echo "ERROR: Verify DB returns the message 'Invalid pad value'"
	echo "       You can try it by running '$SAT_BIN verify-db -v'"
	echo ""
	echo "To fix, move the following files from /var/opt/sun/xvm/security/ to a backup folder:"
	if [ -f /var/opt/sun/xvm/security/aes_rand.key ]; then
		ls -la /var/opt/sun/xvm/security/aes_rand.key
	fi
	if [ -f /var/opt/sun/xvm/security/ks ]; then 
		ls -la /var/opt/sun/xvm/security/ks
	fi
	if [ -f /var/opt/sun/xvm/security/pp ]; then
		ls -la /var/opt/sun/xvm/security/pp
	fi
	echo ""
	echo "Then run '$SAT_BIN verify-db -v' again to make sure it is OK."
	echo ""
	echo "If it is OK, then restart the Enterprise Controller:"
	echo "# ${SAT_BIN} stop -wv ; ${SAT_BIN} start -wv"
	echo ""
fi

