#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi

J6RTVERSION=`/usr/bin/pkgparam SUNWj6rt SUNW_PRODVERS 2>/dev/null`
if [ $? -eq 1 ]; then
	echo "ERROR: Could not find SUNWj6rt (Java Runtime)"
	echo ""
	exit
fi	
J6RTxVERSION=`/usr/bin/pkgparam SUNWj6rtx SUNW_PRODVERS 2>/dev/null`
if [ $? -eq 1 ]; then
	echo "ERROR: Could not find SUNWj6rtx (Java Runtime for 64 bit)"
	echo "       If you install it, make sure the version matches the SUNWj6rt version!"
	echo ""
	exit
fi	

if [ "$J6RTVERSION" = "$J6RTxVERSION" ]; then
	echo "OK: SUNWj6rt version matches SUNWj6rtx version ($J6RTVERSION)"
else
	echo "ERROR: SUNWj6rt version ($J6RTVERSION) does not match SUNWj6rtx version ($J6RTxVERSION)"
	echo "       Make sure that the 32 bit matches the 64 bit version, otherwise you may have issues starting the EC."
	echo ""
fi



