#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ];then
	UCE_RC="/usr/local/uce/server/cgi-bin/.uce.rc"
else
	UCE_RC="/opt/SUNWuce/server/cgi-bin/.uce.rc"	
fi

if [ -f $UCE_RC ]; then
	echo "OK: Found the server .uce.rc"
else
	echo "ERROR: Could not find the file $UCE_RC. This will cause many problems!"
	echo ""
	exit
fi

MOD=`ls -la $UCE_RC | awk '{print $1}'`
if [ "$MOD" = "-rw-r--r--" ]; then
	echo "OK: Server .uce.rc has the correct file permissions"
else
	echo "ERROR: $UCE_RC should have 0644 permissions"
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Automatically fixing this..."
		chmod 0644 $UCE_RC
		echo "       Done!"
	else
		echo "       To fix it, run:"
		echo "# chmod 0644 $UCE_RC"
		echo ""
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi

OWNER=`ls -la $UCE_RC | awk '{printf("%s %s",$3,$4)}'`
if [ "$OWNER" = "uce-sds uce-sds" ]; then
	echo "OK: Server .uce.rc has the correct ownership"
else
        echo "ERROR: $UCE_RC ownership is $OWNER, but it should be 'uce-sds:uce-sds'"
        if [ "$OCDOCTOR_FIX" = "1" ];then
                echo "       Automatically fixing this..."
                chown uce-sds:uce-sds $UCE_RC
                echo "       Done!"
        else
                echo "       To fix it, run:"
                echo "# chown uce-sds:uce-sds $UCE_RC"
                echo ""
                echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
                echo ""
        fi
fi

DBPASS=`grep "invisible.ddbpasswd" $UCE_RC`
if [ ! "$DBPASS" = "" ]; then
	echo "OK: .uce.rc has ddbp entry"
else
	echo "ERROR: $UCE_RC does not have ddbpasswd entry in it! This will cause many problems!"
	echo ""
fi
