#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	HOSTSFILE=/etc/hosts
else
	HOSTSFILE=/etc/inet/hosts
fi
if [ ! -f $HOSTSFILE ]; then
	echo "ERROR: Couldn't find $HOSTSFILE"
	echo ""
	exit
else 
	OUTPUT=`grep "a248.e.akamai.net" $HOSTSFILE`
	if [ ! "$OUTPUT" = "" ]; then
		OUTPUT=`grep "aru-akam.oracle.com" $HOSTSFILE`
		if [ "$OUTPUT" = "" ]; then
			echo "WARNING: $HOSTSFILE contains an entry for 'a248.e.akamai.net', which means you probably had configured"
			echo "         your firewall to open that specific IP (this is OK)."
			echo
			echo "         On July 29, 2011, Oracle is implementing a change which will require opening a few additional IPs"
			echo "         in the firewall and also creating entries for those in $HOSTSFILE, similar to way you did it"
			echo "         for 'a248.e.akamai.net'."
			echo
			echo "         To learn more, visit:"
			echo "         http://wikis.sun.com/display/EM11gOC1/Firewall+Changes"
			echo
		else
			echo "OK: $HOSTSFILE contains multiple oracle domains"
		fi
	fi
fi
