#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi

J6RTVERSION=`/usr/bin/pkgparam SUNWj6rt SUNW_PRODVERS 2>/dev/null | awk -F"/" '{print $1}'`
if [ $? -eq 1 ]; then
	echo "ERROR: Could not find SUNWj6rt (Java Runtime)"
	echo ""
	exit
fi	

if [ "$J6RTVERSION" = "1.6.0_22" ]; then
	ARCH=`uname -p`
	if [ "$ARCH" = "sparc" ]; then
		echo "WARNING: Your SUNWj6rt version is $J6RTVERSION and it is installed on a SPARC machine."
		echo "         There is a known issue with this configuration (CR 7000513), which will cause the upgrade to 11g to fail."
		echo "         Before uprading, you will need to manually modify the upgrade script 00checkPrereqs.pl"
		echo "         After untaring the upgrade bundle, the script can be found in:"
		echo ""
		echo "./SunOS_sparc/Product/installer/jobs/00checkPrereqs.pl"
		echo ""
		echo "Make sure the following file exists:"
		echo "/usr/jdk/jdk1.6.0_22/jre/bin/sparcv9/java"
		echo ""
		echo "Then, go to line 1133, and change this line:"
		echo "     if ( ! -e "$maxJvmPath/jre/bin/amd64/java" ) {"
		echo "to:"
		echo "     if ( ! -e "$maxJvmPath/jre/bin/sparcv9/java" ) {"
		echo ""
		echo "Then run the upgrade manually per instructions."
		echo ""
	fi
fi



