#!/usr/bin/perl

$| = 1;
my $target_mount_point = "/var/opt/";

my $option = shift @ARGV;
my $loop = 1;
my $min_bt=99999;
if($option eq ""){
	while($loop<4){	
	print "-------- Test $loop/3 --------\n";
	print "Starting dd test on $target_mount_point...";
	`mkdir -p $target_mount_point/xvm_disk_test/`;
	$start = time();
	$start_total = time();
	### Create 5 200M files ###
	`dd if=/dev/zero of=$target_mount_point/xvm_disk_test/file1.out bs=1024 count=202400 >/dev/null 2>/dev/null`;
	`dd if=/dev/zero of=$target_mount_point/xvm_disk_test/file2.out bs=1024 count=202400 >/dev/null 2>/dev/null`;
	`dd if=/dev/zero of=$target_mount_point/xvm_disk_test/file3.out bs=1024 count=202400 >/dev/null 2>/dev/null`;
	`dd if=/dev/zero of=$target_mount_point/xvm_disk_test/file4.out bs=1024 count=202400 >/dev/null 2>/dev/null`;
	`dd if=/dev/zero of=$target_mount_point/xvm_disk_test/file5.out bs=1024 count=202400 >/dev/null 2>/dev/null`;
	$end = time();
	print " ", ($end - $start), " seconds\n";

	print "Starting gzip max compression test...";
	$start = time();
	`cd $target_mount_point/xvm_disk_test; tar cf - . | gzip -f --best - > $target_mount_point/file.out.gz`;
	$end = time();
	print " ", ($end - $start), " seconds\n";

	print "Starting CPU test...";
	$start = time();
	### Starting here
	`./cpu.sh`;
	$end = time();
	$end_total = time();
	`rm -rf $target_mount_point/xvm_disk_test/`;
	`rm -rf $target_mount_point/file.out.gz`;
	print " ", ($end - $start), " seconds\n";
	print "Total benchmark time (BT): ", ($end_total - $start_total), " seconds\n";
	$bt_time = $end_total - $start_total;
	if($bt_time<$min_bt){
		$min_bt = $bt_time;
	}
	$loop++;
	if($loop<4){
		print "Waiting 15 seconds between runs...\n";
		sleep(15);
	}
	}	### end of loop

	my $os = `uname`;	
	chomp($os);
	if($os eq "Linux"){
		print "---- CPU Information (using /proc/cpuinfo) ----\n";
		my $output = `cat /proc/cpuinfo | egrep "model name|^physical"`;
		print "$output";
	} else {
		print "---- CPU Information (using prtdiag) ----";
		my $output = `prtdiag| awk '{if(\$0 ~ /\\=\\=\\=\\=/) {if(GOTHERE==1){exit;}};   if(\$0 ~ /Segment/) {exit;};  if(GOTHERE==1){print \$0; }    if(\$0 ~ /\\=\\=\\=\\=/) {GOTHERE=1};  }'`;
		print "$output";
	}

	print "\nBest Benchmark Time (BT): $min_bt\n\n";
	

} elsif ($option eq "startthread") {
	print "Starting thread\n";
	my @data;
	for ($y=0; $y<=100; $y++){
		for ($x=0; $x<=200000; $x++){
			$data[$x] = $x/($x+2);
		}
	}
}
exit;


