#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	#### /etc/hosts is not a link in Linux
	exit
fi
if [ -L /etc/hosts ]; then
	echo "OK: /etc/hosts is a symbolic link"
else 
	echo "ERROR: /etc/hosts is a regular file, but it is typically a symbolic link to /etc/inet/hosts."
	echo "       You may lose the content of the file during the upgrade to 2.5 Patch 1! (CR 6923120)"
	echo "       To fix, this file will need to be a symbolic link:"
	echo "       - Move all entries to /etc/inet/hosts then run:"
	echo "       - # cd /etc ; rm -f hosts ; ln -s ./inet/hosts ."
	echo ""
	if [ -f /etc/hosts-OCDoctor-backup ]; then
		echo "       Backup file was already created in /etc/hosts-OCDoctor-backup, leaving it alone"
	else
		echo "       Creating a copy of /etc/hosts as /etc/hosts-OCDoctor-backup"
		cp -p /etc/hosts /etc/hosts-OCDoctor-backup
	fi
	echo ""
fi
