#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
	SAT_BIN="/opt/sun/xvmoc/bin/satadm"
	HTTPDCONF="/etc/uce_server/httpd.conf"
else
        PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
	SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
	HTTPDCONF="/etc/opt/SUNWuce/server/uce_server/httpd.conf"
fi

if [ -f $SAT_BIN ]; then
	### This is a colocated proxy - don't change anything here
	DONOTHING=1
	exit
fi

if [ ! -f $HTTPDCONF ]; then
	echo "ERROR: Can't find $HTTPDCONF"
	echo
	exit
fi

MAXCLIENTS=`grep "^MaxClients " $HTTPDCONF | awk '{print $2}'`
if [ "$MAXCLIENTS" = "10" ]; then
	echo "OK: Web Server MaxClients on this remote proxy is $MAXCLIENTS"
else
	echo "WARNING: MaxClients value in httpd.conf on a remote proxy should be 10, but it is $MAXCLIENTS"
	echo
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Trying to fix automatically..."
		`sed "s/^MaxClients $MAXCLIENTS/MaxClients 10/" $HTTPDCONF > /var/tmp/httpdconf.tmp`
		cp -p $HTTPDCONF $HTTPDCONF.doctor.$$
		cp /var/tmp/httpdconf.tmp $HTTPDCONF
		rm -f /var/tmp/httpdconf.tmp
		echo "       Done - fixed $HTTPDCONF"
		echo "       A backup file was created - $HTTPDCONF.doctor.$$"
		echo ""
		STATUS=`$PROXY_BIN status`
		if [ "$STATUS" = "online" ];then
			printf "Would you like to restart the proxy now? (you can do this later as well) (y/n): "
			read yesno
			if [ "$yesno" = "yes" ]; then
				yesno="y"
			fi
			if [ "$yesno" = "Y" ]; then
                                yesno="y"
                        fi
			if [ "$yesno" = "y" ]; then
				echo "--- Stopping proxy ---"
                                $PROXY_BIN stop -w -v
				echo "--- Starting proxy ---"
                                $PROXY_BIN start -w -v
                        fi
			echo ""
		else
			echo "       Proxy is already offline - not restarting"
			echo ""
		fi
	else
		echo "       To fix, edit $HTTPDCONF and change:"
		echo "         MaxClients $MAXCLIENTS"
		echo "              to"
		echo "         MaxClients 10"
		echo ""
		echo "       Then restart the Proxy services:"
		echo "       # $PROXY_BIN stop -w -v"
		echo "       # $PROXY_BIN start -w -v"
		echo ""
		echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo ""
	fi
fi
