#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        XVM="/var/opt/sun/xvm"
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        XVM="/var/opt/sun/xvm"
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi
if [ -f $SAT_BIN ];then
        exit
        ### In a colocated proxy - we have checked this already 
fi

LOCKFILE=${XVM}/updateshovel.lock
LAST_LOGFILE=`ls -t ${XVM}/update-saved-state/*/updatelog.txt 2>/dev/null|head -1`

if [ -f ${LOCKFILE} ]; then
  echo "ERROR: Found lockfile ${LOCKFILE} from a previous update run!"
  echo "ERROR: This is a critical issue since it will prevent any future update!"
  if  [ -f "${LAST_LOGFILE}" ]; then
    echo
    echo "The latest update logfile is: ${LAST_LOGFILE}"
    echo "Please, examine it carefully and resolve any found issues!"

    DISTRIBUTION=`dirname ${LAST_LOGFILE}`/distribution
    if [ ! -d ${DISTRIBUTION} ]; then
      echo
      echo "One immediate finding: The required directory ${DISTRIBUTION} is missing!"
      echo "It needs to be created manually, it is essentially the unpacked/renamed update tar ball."  
    fi
  fi
  echo
  echo "After having resolved all issues, you have to manually remove the lockfile!"
  echo
else
  echo "OK: No lockfile from a previous update found."
fi
