#!/bin/bash

# Check if hmp-tools@2.2.1 or driver/x11/xsvc are installed

UNAMER=`uname -r`
if [ ! "$UNAMER" = "5.11" ]; then
        exit
fi

ARCH=`uname -p`
if [ "$ARCH" = "i386" ]; then
	### only relevant for SPARC
	exit
fi

pkg list hmp-tools@2.2.1 >/dev/null 2>/dev/null
if [ $? -ne 0 ]; then
	echo "OK: package hmp-tools@2.2.1 is not installed"
else
	echo "ERROR: package hmp-tools@2.2.1 is installed - it MUST be removed before you Upgrade Ops Center!"
	echo "       It incorrectly installs X86 files on this SPARC box and will cause the Upgrade to fail."
	echo ""
	echo "       To fix this, you must uninstall the following:"
	echo ""
	echo "# pkg uninstall hmp-tools driver/x11/xsvc"
	echo "And then reboot."
	echo ""
	echo "Please contact support if you are unable to remove this properly."
	echo ""
	exit
fi

pkg list driver/x11/xsvc >/dev/null 2>/dev/null
if [ $? -ne 0 ]; then
	echo "OK: package driver/x11/xsvc is not installed"
else
	echo "ERROR: package driver/x11/xsvc is installed - it MUST be removed before you Upgrade Ops Center!"
	echo "       It incorrectly installs X86 files on this SPARC box and will cause the Upgrade to fail."
	echo ""
	echo "       To fix this, you must uninstall the following:"
	echo ""
	echo "# pkg uninstall driver/x11/xsvc"
	echo "And then reboot."
	echo ""
	echo "Please contact support if you are unable to remove this properly."
	echo ""
fi

		
