#!/bin/bash
#
# Check for bug 19731975 - cacao grows proc_scan.txt file until it fills up FS
#
# cacao is victim of JDK bug 
# JDK-8074320: Solaris packages for jdk7u create unnecessary link in jre/lib/sparc to jre/lib/sparc/client/libjvm 
#

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi
if [ -f "/opt/SUNWxvmoc/bin/satadm" ]; then
	## Don't run this twice on Sat
	exit
fi

BROKEN_LINK="/usr/jdk/instances/jdk1.7.0/jre/lib/sparc/libjvm.so"

if [ -h $BROKEN_LINK ]; then
	echo "WARNING: The symbolic link $BROKEN_LINK can cause"
	echo "cacao agent issues which can result in a filled up file system (Bug 19731975)!"
	echo
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "Trying to automatically fix this..."
		rm $BROKEN_LINK
		echo "done."
	else
		echo "To fix this, just remove the above mentioned symbolic link"
		echo
		echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this."
	fi
	echo
else
	echo "OK: System is not affected by bug 19731975"  
fi

