#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        APACHELOGS="/var/logs/uce_server"
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        APACHELOGS="/var/opt/SUNWuce/server/logs/uce_server"
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi
if [ -f $SAT_BIN ];then
        exit
        ### In a colocated proxy - the logfiles were already checked in the Satellite tests
fi

CHECK_SIZE=2000000
PROBLEM=0
for i in ${APACHELOGS}/*_log*
do
  SIZE=`du -k $i|awk '{print $1}'`
  if [ ! "$SIZE" = "" ]; then
	  if [ `du -k $i|awk '{print $1}'` -gt $CHECK_SIZE ]; then
	    PROBLEM=1
	    echo "WARNING: Logfile $i is close to or larger than 2 GB !"
	  fi
  fi
done
if [ $PROBLEM -eq 0 ];then
        echo "OK: Apache logs are smaller than 2 GB"
else
  if [ "$UNAME" = "Linux" ]; then
        echo "WARNING: Apache httpd server will not start if logfiles are larger than 2 GB !"
  else    
        echo "WARNING: SMF service 'uce-proxy' will not start if logfiles are larger than 2 GB !"
  fi
  echo ""
fi
