#!/bin/bash

#### Check if pkg 'osp_script_framework' is installed, this will cause an upgrade failure (Bug 18365518) 

MY_DIR=`dirname $0`
if [ -f $MY_DIR/../../functions ]; then
        source $MY_DIR/../../functions
	solaris11_stuff
else
                exit
fi

get_version
if [ $VERSIONNUM -lt "12200000" -o $VERSIONNUM -gt "12220000" ]; then
	echo "OK: Check n/a, Proxy is not running 12c R2 GA or U1"
        exit
fi

if ! $IS_S11; then
	echo "OK: Check n/a, Proxy OS is not Solaris 11"
        exit
fi

# check for installed package osp_script_framework

if pkg list osp_script_framework >/dev/null 2>&1; then
        echo
        echo "ERROR: Leftover package 'osp_script_framework' from OS Provisiong found!"
        echo
        echo "This package will cause the upgrade to 12c R2 U2 to fail (Bug 18365518)!"
        echo
        echo "Run 'pkg uninstall osp_script_framework' to remove the package prior to upgrading the Proxy."
        echo
else
        echo "OK: No leftover package from OS Provisioning found"
fi
