#!/bin/bash

VERSION_PROPERTIES=/n1gc-setup/.version.properties

if [ -f $VERSION_PROPERTIES ]; then
	DISTRIBUTION="$(grep ^product.installLocation= $VERSION_PROPERTIES | cut -d= -f2)"
	INSTALLER="$(ls ${DISTRIBUTION}/$(uname -s)_*/Product/installer/install 2>/dev/null)"
	if [ -x "$INSTALLER" ]; then
		echo "OK: Installation software is in place to allow product upgrade"
	else
		printf "\nERROR: Directory $DISTRIBUTION does not exist or is not complete!\n\n"
		printf "This directory must contain all files of the installation or upgrade bundle.\n"
		printf "Without these files, the current installed version cannot get upgraded!\n\n"
	fi
else
	 printf "\nERROR: Config file $VERSION_PROPERTIES is missing!\n\n"
fi
