#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        IPMP_SCRIPT="/opt/sun/scnosp/sbin/ipmp_config.sh"
else
        IPMP_SCRIPT="/opt/SUNWscnosp/sbin/ipmp_config.sh"
fi

SAVED="original_12.2.0.2663"

if [ -f $IPMP_SCRIPT ]; then
	# check if the script is still broken
	if egrep 'group \$GROUP addif' $IPMP_SCRIPT >/dev/null; then
		# script is still broken
		echo "ERROR: Solaris 10 Provisioning with probe based IPMP is not working (Bug 18313788)"
		echo
		
                if [ "$OCDOCTOR_FIX" = "1" ];then
                        echo "Trying to automatically fix this..."
                        BACKUPNAME="${IPMP_SCRIPT}.${SAVED}"
                        echo "Creating backup file $BACKUPNAME"
                        cp -p $IPMP_SCRIPT $BACKUPNAME
                        sed 's/group \$GROUP addif/group \$GROUP up addif/' $BACKUPNAME > $IPMP_SCRIPT
			echo "Script $IPMP_SCRIPT has been fixed"
                else
                        echo "To fix, edit the script $IPMP_SCRIPT in line 226 so that it reads:"
                        echo 
			echo '              ... + group $GROUP up addif ...'
			echo
                        echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
                        echo ""
                fi
	else
		echo "OK: Solaris 10 Provisioning with probe based IPMP has been fixed" 
	fi
else
	echo "OK: Check for 'Solaris 10 Provisioning with probe based IPMP' not applicable"
fi


