#!/bin/bash
#
# check if a '--cleanup' run who free up disk space
#

# on EC > 1GB until we print info message, on PC/Agent > 500 MB
# unit is KB
#DISKSPACE_INFO_LIMIT=1048576
DISKSPACE_INFO_LIMIT=524288
GB_IN_KB=1048576

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
    ECADM="/opt/sun/xvmoc/bin/ecadm"
    PROXYADM="/opt/sun/xvmoc/bin/proxyadm"
    AWK=/usr/bin/awk
else
    ECADM="/opt/SUNWxvmoc/bin/ecadm"
    PROXYADM="/opt/SUNWxvmoc/bin/proxyadm"
    AWK=/usr/bin/nawk
fi

if [ -f "$ECADM" ]; then
	# in case this is a EC, we did run this check already
	exit
fi
#if [ -f "$PROXYADM" ]; then
#	# in case this is a PC, we did run this check already
#	exit
#fi


BASEDIR=$(cd $(dirname $0)/../..; pwd)
PROG=$(basename $0)
CLEANUP="${BASEDIR}/toolbox/remove-old-stuff.sh"

if [ ! -x $CLEANUP ]; then
    	echo "ERROR: $PROG: Toolbox script $CLEANUP not found!"
    	exit 1
fi

CLEANUP_RESULT=$($CLEANUP --dryrun 2>/dev/null)
if [ -n "$CLEANUP_RESULT" ]; then
	if [ "$CLEANUP_RESULT" -gt "$DISKSPACE_INFO_LIMIT" ]; then
		if [ "$CLEANUP_RESULT" -gt "$GB_IN_KB" ]; then
			RESULT=$(( $CLEANUP_RESULT / $GB_IN_KB ))
			UNIT="GB"
		else
			RESULT=$(( $CLEANUP_RESULT / 1024 ))
			UNIT="MB"
		fi
		echo
		echo "INFO: Found $RESULT $UNIT of old leftovers, use option 'OCDoctor.sh --cleanup' to remove them."
		echo
	else
		echo "OK: No large leftovers found, no cleanup required"
	fi
else
   echo "ERROR: $PROG: Issues seen with toolbox script ${CLEANUP}. Please run it manually to resolve issues." 
fi

