#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	SAT_BIN="/opt/sun/xvmoc/bin/satadm"
	PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
else
	SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
	PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
fi

PROPFILE="/opt/sun/n1gc/os/platform.properties"
if [ -f $PROPFILE ]; then
	IPMIPATH=`grep "^platformproperties.ipmitoolpath" $PROPFILE | awk -F":" '{print $2}' | awk '{print $1}'`
	if [ "$IPMIPATH" = "" ]; then
		IPMIPATH=empty			### need a value that will fail the -x below. Leaving empty will not
	fi
	if [ -x $IPMIPATH ]; then
		echo "OK: platform.properties points to $IPMIPATH"
	else
		echo "ERROR: 'ipmitool' is not properly configured"
		echo "       This is a known issue with Update 1 on colocated proxy (Bug 15802276)"
		echo ""
		echo "To fix, edit $PROPFILE and change the line"
		grep "^platformproperties.ipmitoolpath" $PROPFILE 
		echo "    - to -"

		IPMITOOLPATH=empty
		if [ -x /opt/ipmitool/sbin/ipmitool ]; then
			IPMITOOLPATH="/opt/ipmitool/sbin/ipmitool"			## S11
		fi
		if [ -x /opt/ipmitool/bin/ipmitool ]; then
			IPMITOOLPATH="/opt/ipmitool/bin/ipmitool"			## Some S11
		fi
		if [ -x /opt/sun/n1gc/pkgs/usr/bin/ipmitool ]; then
			IPMITOOLPATH="/opt/sun/n1gc/pkgs/usr/bin/ipmitool"		## Linux
		fi
		if [ -x /usr/bin/ipmitool ]; then
			IPMITOOLPATH="/usr/bin/ipmitool"				## Linux
		fi
		if [ -x /opt/sun/n1gc/pkgs/usr/sbin/ipmitool ]; then
			IPMITOOLPATH="/opt/sun/n1gc/pkgs/usr/sbin/ipmitool"		## S10
		fi
		if [ ! -x $IPMITOOLPATH ]; then
			echo ""
			echo "ERROR: Unable to find a proper path for 'ipmitool' to recommend instead, please contact support"
			echo ""
			exit 1
		fi

		echo "platformproperties.ipmitoolpath: $IPMITOOLPATH"
		echo ""
		echo "Then restart the proxy (make sure no jobs are running on this proxy first):"
		echo "# $PROXY_BIN stop -w"
		echo "# $PROXY_BIN start -w"
		echo ""
	fi
else
	echo "ERROR: $PROPFILE not found"
	exit 1
fi
