#!/bin/bash

#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
	exit
fi

#### Loop through interfaces
ifconfig -a | grep IPv4 | grep -v lo0 |grep -v sppp0| awk -F":" '{print $1}' | uniq | while read INTERFACE; do
        IP=`ifconfig $INTERFACE |grep inet| tail -1|awk '{print $2}'`
	if [ ! "$IP" = "0.0.0.0" ]; then
	        NETMASK=`ifconfig $INTERFACE |grep inet| tail -1|awk '{print $4}'`
	        oct1=0x`echo $NETMASK | cut -c 1-2`
	        oct2=0x`echo $NETMASK | cut -c 3-4`
	        oct3=0x`echo $NETMASK | cut -c 5-6`
	        oct4=0x`echo $NETMASK | cut -c 7-8`
	        NETMASK=`printf "%d.%d.%d.%d" $oct1 $oct2 $oct3 $oct4`
	        #echo $INTERFACE $IP $NETMASK
	        ### Verify with getent to make sure it's the same in NIS or anything else...
	        ENVNETMASK=`getent netmasks $IP | awk '{print $2}'`
	        #echo "ENVNETMASK:$ENVNETMASK NETMASK:$NETMASK"
		if [ "$ENVNETMASK" = "" ]; then
			ENVNETMASK="Empty"
		fi
	        if [ "$ENVNETMASK" = "$NETMASK" ]; then
	                echo "OK: Admin DB netmask matches the ifconfig output for $INTERFACE ($NETMASK)"
	        else
	                echo
	                echo "WARNING: Admin DB netmask does NOT match the ifconfig output for $INTERFACE"
			echo "         You may have issues with the Solaris DHCP and/or JET"
	                echo "         'ifconfig $INTERFACE':    IP: $IP, netmask: $NETMASK"
	                echo "         'getent netmasks $IP':    netmask: $ENVNETMASK"
			echo
			echo "         To fix, review /etc/nsswitch.conf, /etc/netmasks, ifconfig output and/or NIS setup"
	                echo
	        fi
	fi
done
