#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        SAT_BIN="/opt/sun/xvmoc/bin/satadm"
else
        SAT_BIN="/opt/SUNWxvmoc/bin/satadm"
fi
if [ -f $SAT_BIN ];then
	exit
	### In a colocated proxy - the version was already checked in the Satellite tests
fi

MY_DIR=`dirname $0`
. $MY_DIR/../../functions
get_version
solaris11_stuff

$IS_S11 || exit 0    # check is only relevant for S11

if [ $VERSIONNUM -lt 12300000 ]; then
	if [ "$S11_RELEASE" -lt 3 ]; then
		echo
		echo "WARNING: Do not upgrade to Solaris 11.3 or later (MOS Doc ID 2100173.1)!"
		echo "         Ops Center $VERSION is not compatible with Solaris 11.3 (or later)" 
		echo "         Upgrade to Ops Center 12.3.0 or later before upgrading the OS"
		echo
	else
		echo
		echo "ERROR: Ops Center $VERSION is not compatible with Solaris 11.3 or later (MOS Doc ID 2100173.1)!"
		echo
	fi
else
	echo "OK: Installed version $VERSION is not affected by bug 21327375"
fi

