#!/bin/bash
#
# check for a leftover lockfile from a previous upgrade attempt
# 

LOCKFILE=/var/opt/sun/xvm/updateshovel.lock

if ls $LOCKFILE > /dev/null 2>&1; then
	echo
	echo "ERROR: Leftover lockfile from a previous upgrade attempt found!"
	echo
	if [ "$OCDOCTOR_FIX" = "1" ]; then
		echo "Trying to automatically fix this..."
		rm $LOCKFILE
		echo "Done."
		echo
	else
		echo "To fix this, remove file $LOCKFILE or the next upgrade attempt will fail!"
		echo
		echo "or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
		echo
		exit 1
	fi
else
	echo "OK: No lockfile from a previous upgrade found"
fi
