#!/bin/bash

UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        echo "OK: No cacao SMF issue known on Linux ECs/PCs"
        exit 0
fi

SVCCFG=/usr/sbin/svccfg

SMF_COUNT=$( $SVCCFG list | grep common-agent-container- | wc -l )

if [ "${SMF_COUNT}" -gt 1 ]; then
        echo "WARNING: More than one SMF instance for the Cacao service does exist:"
        echo  
        $SVCCFG list | grep common-agent-container-
        echo
        echo "This must be analyzed and cleaned up!"
        echo
        echo "Review the cacao document in the howto folder to fix this!"
        echo
        echo "Do not try to install or update an EC or PC on this system!"
else
        echo "OK: Verified a unique Cacao SMF instance."
fi

