#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
else
        PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
fi
IPMI=`grep ipmiflash /opt/sun/n1gc/os/platform.properties | grep "^platformproperties" | awk '{print $2}'`
if [ -f $IPMI ]; then
	echo "OK: ipmiflash points to a binary"
else
	echo "ERROR: 'ipmiflash' config points to an incorrect path (CR 6920989)"
	if [ "$OCDOCTOR_FIX" = "1" ];then
		echo "       Trying to fix automatically..."
		if [ -f /opt/ipmitool/bin/ipmiflash ]; then
			REPLACE=`echo $IPMI | sed 's/\//\\\\\//g'`	## add backslash to slashes
			`sed "s/$REPLACE/\/opt\/ipmitool\/bin\/ipmiflash/" /opt/sun/n1gc/os/platform.properties > /var/tmp/platform.tmp`
			cp -p /opt/sun/n1gc/os/platform.properties /opt/sun/n1gc/os/platform.properties.doctor.$$
			cp /var/tmp/platform.tmp /opt/sun/n1gc/os/platform.properties
			rm -f /var/tmp/platform.tmp
			echo "       Done - fixed /opt/sun/n1gc/os/platform.properties"
			echo "       A backup file was created - /opt/sun/n1gc/os/platform.properties.doctor.$$"
			echo ""
			STATUS=`$PROXY_BIN status`
			if [ "$STATUS" = "online" ];then
				printf "Would you like to restart the proxy now? (you can do this later as well) (y/n): "
				read yesno
				if [ "$yesno" = "yes" ]; then
					yesno="y"
				fi
				if [ "$yesno" = "Y" ]; then
	                                yesno="y"
	                        fi
				if [ "$yesno" = "y" ]; then
					echo "--- Stopping proxy ---"
	                                $PROXY_BIN stop -w -v
					echo "--- Starting proxy ---"
	                                $PROXY_BIN start -w -v
	                        fi
				echo ""
			else
				echo "       Proxy is already offline - not restarting"
				echo ""
			fi
		else
			echo "       ERROR - Can't fix this automatically"
			echo "       Couldn't find /opt/ipmitool/bin/ipmiflash"
			echo "       Run again without --fix to see manual instructions"
			echo ""
		fi
	else
		echo "       To fix, edit /opt/sun/n1gc/os/platform.properties and change:"
		echo "         platformproperties.ipmiflashpath: $IPMI"
		echo "                              to"
		if [ -f /opt/ipmitool/bin/ipmiflash ]; then
			echo "         platformproperties.ipmiflashpath: /opt/ipmitool/bin/ipmiflash"
		else
			echo "         platformproperties.ipmiflashpath: <wherever ipmiflash is>"
		fi
		echo "       Then restart the Proxy services:"
		echo "       # $PROXY_BIN stop -w -v"
		echo "       # $PROXY_BIN start -w -v"
		echo ""
		if [ -f /opt/ipmitool/bin/ipmiflash ]; then
			echo "       or use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
			echo ""
		fi
	fi
fi
