#!/bin/bash
UNAME=`uname`
if [ "$UNAME" = "Linux" ]; then
        PROXY_BIN="/opt/sun/xvmoc/bin/proxyadm"
        CACAO_LOGS="/var/opt/sun/cacao2/instances/scn-proxy/logs/cacao.*"
else
        PROXY_BIN="/opt/SUNWxvmoc/bin/proxyadm"
        CACAO_LOGS="/var/cacao/instances/scn-proxy/logs/cacao.*"
fi

CONFIGFILE=/var/opt/sun/xvm/hal.properties
CONFIGFILE_OCD=${CONFIGFILE}.OCDoctor.timeout

if ls ${CONFIGFILE_OCD}.* >/dev/null 2>&1; then
        echo "OK: ssh 'Read timed out' issue already fixed"
        exit 0
fi

if grep 'SshJsch throwing exception Session.connect: java.net.SocketTimeoutException: Read timed out' ${CACAO_LOGS} > /dev/null 2>&1
then
        echo "ERROR: Found 'Read timed out' messages from ssh command in Proxy logs!"
        echo "ERROR: It is recommended to increase the timeout value to avoid Asset Discovery issues:"
        echo "ERROR: "
        echo "ERROR: File:         ${CONFIGFILE}"
        echo "ERROR: Parameter:    com.sun.n1.ps.hutils.services.sshTimeout"
        echo "ERROR: "
        echo "ERROR: A restart of the Proxy is required to use the new value!"
        echo "ERROR: "
        echo "ERROR: Use '# ./OCDoctor.sh --troubleshoot --fix' to automatically fix this"
        echo ""

        if [ "$OCDOCTOR_FIX" = "1" ];then
                echo "       Trying to fix automatically..."
                if [ -f ${CONFIGFILE} ]; then
                        cp ${CONFIGFILE} ${CONFIGFILE_OCD}.$$
                        sed 's/sshTimeout=.*$/sshTimeout=60000/' ${CONFIGFILE_OCD}.$$ > ${CONFIGFILE}
                        echo "       Done - fixed ${CONFIGFILE}"
                        echo "       A backup file was created - ${CONFIGFILE_OCD}.$$"
                        echo ""
                        STATUS=`$PROXY_BIN status`
                        if [ "$STATUS" = "online" ];then
                                printf "Would you like to restart the proxy now? (you can do this later as well) (y/n): "
                                read yesno
                                if [ "$yesno" = "yes" ]; then
                                        yesno="y"
                                fi
                                if [ "$yesno" = "Y" ]; then
                                        yesno="y"
                                fi
                                if [ "$yesno" = "y" ]; then
                                        echo "--- Stopping proxy ---"
                                        $PROXY_BIN stop -w -v
                                        echo "--- Starting proxy ---"
                                        $PROXY_BIN start -w -v
                                fi
                                echo ""
                        fi
                fi
        fi
else
	echo "OK: no ssh 'Read timed out' messages found"
fi
