#! /bin/sh
#
# This fix will replace the xvmluinfo binary with a script which only will report saved output.
#
# The saved output must be updated with 'update_xvmluinfo.sh' whenever new LUNs for Storage Librarys have been added.
#
# To undo the fix run the command 'undo_fix.sh'.
#

XVMDIR=/opt/sun/n1gc/bin/xvmserver
XVMLUINFO=${XVMDIR}/xvmluinfo
XVMLUINFO_SH=xvmluinfo.sh
XVMLUINFO_NEW=${XVMDIR}/${XVMLUINFO_SH}
XVMLUINFO_BIN=${XVMDIR}/xvmluinfo.bin
XVMLUINFO_OUT=${XVMDIR}/xvmluinfo.out
UPDATE_XVMLUINFO=${XVMDIR}/update_xvmluinfo.sh
UNDO_FIX=${XVMDIR}/undo_fix.sh

PERMISSIONS='744'

cat > $XVMLUINFO_NEW <<EOF
#! /bin/sh
cat $XVMLUINFO_OUT
EOF

cat > $UPDATE_XVMLUINFO << EOF
#! /bin/sh
$XVMLUINFO_BIN > $XVMLUINFO_OUT
EOF

cat >$UNDO_FIX << EOF
#! /bin/sh
if [ -L $XVMLUINFO ]
then
  rm $XVMLUINFO; mv $XVMLUINFO_BIN $XVMLUINFO
  rm $UPDATE_XVMLUINFO $XVMLUINFO_NEW $XVMLUINFO_OUT
  rm $UNDO_FIX; exit
else
  echo $XVMLUINFO is no longer a symbolic link!
  echo 'Could it be that the Agent has been upgraded after applying the fix ?'
  echo Manual check and undo of the fix is required, exiting ...
fi 
EOF

chmod $PERMISSIONS $XVMLUINFO_NEW $UPDATE_XVMLUINFO $UNDO_FIX

$XVMLUINFO > $XVMLUINFO_OUT
mv $XVMLUINFO $XVMLUINFO_BIN
ln -s $XVMLUINFO_SH $XVMLUINFO

echo
echo xvmluinfo has been replaced by a script which only will report saved output.
echo
echo If required, use the command $UPDATE_XVMLUINFO to 
echo update the xvmluinfo output with recent added LUNs.
echo
echo Use $UNDO_FIX to remove the applied fix.
echo
