#!/bin/bash
#
# get-largest-tables.sh
#
# Script to analyse DB and report largest tables
#

trim_head+tail(){
  tail +3|tail -r|tail +3|tail -r
}

if [ "`uname`" = "Linux" ]
then
  BASEDIR=/opt/sun/scs/sbin
else
  BASEDIR=/opt/SUNWscs/sbin
fi

topten(){
        $DB_TOOL psql -c "select relname, relpages, reltuples, relfilenode from pg_class order by relpages desc limit 10;"
        $DB_TOOL psql -c "select relname from pg_class order by relpages desc limit 10;"|trim_head+tail|while read TABLE
        do
          TTYPE=`$DB_TOOL psql -c "\d ${TABLE}" | head -1 | awk '{print $1}'`
          if [ "$TTYPE" = "Table" ]; then
            echo "Table: ${TABLE}"
            echo Count of table rows: `$DB_TOOL psql -c "select count(*) from ${TABLE};"|trim_head+tail`
            echo
          fi
        done
}

DB_TOOL=$BASEDIR/db_tool.pl
echo "------------------ Top MGMT Tables ------------------"
topten
DB_TOOL=$BASEDIR/report_db_tool.pl
echo "------------------ Top Report Tables ------------------"
topten

