#!/usr/bin/perl

my $usage = "\n\n################################################################################
#            kill_oc_job.pl is a script to easily and quickly kill             #
#                     ENTERPRISE MANAGER OPS CENTER                            #
#                   jobs which are in a \"stuck state.\"                         #
#                                                                              #
#    You may also pass a single jobID as a command line argument thusly:       #
#                    # perl kill_oc_job_pl 3245                                #
#                                                                              #
#                  You must run kill_oc_job.pl as root                         #
#                                                                              #
#    The current status is displayed prior to any changes:                     #
#       SQL>                                                                   #
#           STATUS                                                             #
#       ----------                                                             #
#               ##                                                             #
################################################################################\n\n";
#
# Version = 1	Jan 5, 2016	Forrest Copley		Initial release
#

print $usage;

die "Must run as root.\n" if $> != 0;

$| = 1;

while ($ARGV[0] !~ m/\d+/g) {
  print "Please enter a OPS Center job to kill: ";
  $ARGV[0] = <STDIN>;
  chomp $ARGV[0];
}

print "################################################################################\n";

my $string = "# Connecting to the database, with a 10 second wait before executing commands: #\n";
foreach my $c (split //, $string) {
  print "$c";
  select(undef,undef,undef,.04);
}

print "################################################################################\n\n";
open(WRITE, "| /opt/SUNWxvmoc/bin/satadm sqlplus") or die "Can't start sqlplus\n"; 
sleep 10;
print WRITE "select STATUS from SCN_JOB_RUN where JOB_ID = $ARGV[0];\n";
sleep 2;
print WRITE "update SCN_JOB_RUN set STATUS = 16 where JOB_ID = $ARGV[0];\n";
sleep 2;
print WRITE "commit;\n";
print WRITE "exit\n";
close(WRITE);
print "\n\n#####################################################################";
print "\n# Finished with kill_oc_job.pl. Refresh BUI and job should be gone. #";
print "\n#####################################################################\n\n";
