#!/bin/bash
#
# Script to set back all cacao log filters from debug mode (FINER, FINEST & ALL) to FINE
#

NOTHING_TO_DO=true

for instance in oem-ec scn-proxy scn-agent
do
  for i in $(cacaoadm list-filters -i $instance 2>/dev/null | egrep '=FINER|=FINEST|=ALL')
  do
    NOTHING_TO_DO=false
    new=$(echo $i | sed 's/=.*$/=FINE/')
    printf "Cacao instance: $instance\tSetting filter $new\n"
    cacaoadm set-filter -i $instance -p $new
    cacaoadm set-filter -i $instance $new
  done
done

$NOTHING_TO_DO && echo "Nothing to do!"

