#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ];then
	SQLCMD=/opt/sun/scs/sbin/db_tool.pl
else
	SQLCMD=/opt/SUNWscs/sbin/db_tool.pl
fi

if [ -f $SQLCMD ]; then
	INDEXON=`echo "\d hd_persistent_mbean" | $SQLCMD psql 2>/dev/null | grep "\" btree (object_name)"`
	if [ "$INDEXON" = "" ]; then
		echo "SUGGESTION: It is recommended that the following DB index is added."
		echo "            This will improve the Enterprise Controller performance (CR 6931286)"
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
	                echo "Fixing this automatically..."
			echo 'CREATE INDEX idx_hd_persistent_mbean_objectname ON hd_persistent_mbean(object_name)'  | $SQLCMD psql
			echo ""
			echo "Done."
			echo ""
		else
			echo "            To add this index, simply run the following: (no need to stop any services)"
			echo
			echo "# echo 'CREATE INDEX idx_hd_persistent_mbean_objectname ON hd_persistent_mbean(object_name)'  | $SQLCMD psql"
			echo ""
			echo "            OR run again with --fix to automatically fix this:"
	                echo "            # ./OCDoctor.sh --tuning --fix"
			echo
		fi
	else
		echo "OK: Index is already assigned to hd_persistent_mbean table"
	fi
else
	echo "ERROR: could not find $SQLCMD"
	exit
fi
