#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ];then
	SQLCMD=/opt/sun/scs/sbin/db_tool.pl
else
	SQLCMD=/opt/SUNWscs/sbin/db_tool.pl
fi

if [ -f $SQLCMD ]; then
	INDEXON=`echo "\d scn_task_logs" | $SQLCMD psql 2>/dev/null | grep "\" btree ("`
	if [ "$INDEXON" = "" ]; then
		echo "SUGGESTION: It is recommended that the following DB indexes are added."
		echo "            This will improve BUI performance to present job logs (CR 7087050)"
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
	                echo "Fixing this automatically..."
			echo 'CREATE INDEX scn_task_logs_i ON scn_task_logs (job_id, run_id, task_id, target_name);'  | $SQLCMD psql
			echo ""
			echo "Done."
			echo ""
		else
			echo "            To add this index, simply run the following: (no need to stop any services)"
			echo
			echo "# echo 'CREATE INDEX scn_task_logs_i ON scn_task_logs (job_id, run_id, task_id, target_name);'  | $SQLCMD psql"
			echo ""
			echo "            OR run again with --fix to automatically fix this:"
	                echo "            # ./OCDoctor.sh --tuning --fix"
			echo
		fi
	else
		echo "OK: Index is already assigned to scn_task_logs"
	fi
else
	echo "ERROR: could not find $SQLCMD"
	exit
fi
