#!/bin/bash
UNAME=`uname`
if [ $UNAME = "Linux" ];then
	SQLCMD=/opt/sun/scs/sbin/report_db_tool.pl
else
	SQLCMD=/opt/SUNWscs/sbin/report_db_tool.pl
fi

if [ -f $SQLCMD ]; then
	INDEXON=`echo "\d rm_resource_collection" | $SQLCMD psql 2>/dev/null | grep "btree (upper(asset_uuid::text), resource_attribute_id)"`
	if [ ! "$INDEXON" = "" ]; then
		echo "OK: Index is already assigned to rm_resource_collection table in the Reports database"
	else
		echo "SUGGESTION: It is recommended that the following DB index is added."
		echo "            This will improve the Enterprise Controller utilization as it speeds up"
		echo "            database access of monitoring attribute changes (CR 6922341)."
		echo ""
		if [ "$OCDOCTOR_FIX" = "1" ];then
                        echo "Fixing this automatically..."
			echo ""
			echo 'CREATE INDEX RM_RESOURCE_COLLECTION_IDX1 ON RM_RESOURCE_COLLECTION (UPPER(ASSET_UUID), RESOURCE_ATTRIBUTE_ID);' | $SQLCMD psql
			echo
			echo "Done."
			echo
		else
			echo "            To add this index, simply run the following: (no need to stop any services)"
			echo
			echo "# echo 'CREATE INDEX RM_RESOURCE_COLLECTION_IDX1 ON RM_RESOURCE_COLLECTION (UPPER(ASSET_UUID), RESOURCE_ATTRIBUTE_ID);' | $SQLCMD psql"
			echo ""
			echo "            OR run again with --fix to automatically fix this:"
                        echo "            # ./OCDoctor.sh --tuning --fix"
			echo ""
		fi
	fi
else
	echo "ERROR: could not find $SQLCMD"
	exit
fi
