#!/bin/bash

echo
if [ $# -lt "1" ]
then
   echo "Blob number required!"
   echo
   echo "Usage: $0 blob# blob#"
   echo "Script will accept a space separated list of blobids"
   echo
   exit 1
fi

CHANNELS_XML=/opt/SUNWuce/server/public/channels.xml
CONFIG_FILES=/opt/SUNWuce/server/public/config_files
ggrep=/usr/sfw/bin/ggrep
OS=`uname`

if [ $OS == "Linux" ]
then
   ggrep=/bin/grep
   CHANNELS_XML=/usr/local/uce/server/public/channels.xml
   CONFIG_FILES=/usr/local/uce/server/public/config_files
fi

if [ -d $CONFIG_FILES ]; then
	DONOTHING=1
else
	echo "ERROR: Could not find $CONFIG_FILES"
	echo
	exit
fi
if [ -f $CHANNELS_XML ]; then
	DONOTHING=1
else
	echo "ERROR: Could not find $CHANNELS_XML"
	echo
	exit
fi

while [ $# -ge 1 ]
do
   BLOB=$1
   CHANNEL=${BLOB:0:2}
   CHANNEL_NAME=`$ggrep -B 10 "<CHANNEL_ID>$CHANNEL</CHANNEL_ID>" $CHANNELS_XML  | grep NAME | cut -d ">" -f2 | cut -d "<" -f1`
   EXTENSION=`$ggrep -B 10 "<CHANNEL_ID>$CHANNEL</CHANNEL_ID>" $CHANNELS_XML | grep EXTENSION | cut -d ">" -f2 | cut -d "<" -f1`
   
   echo "-------------------------------------------------"
   echo Blob $BLOB is:
   echo
   
   DETAIL=`$ggrep -A 10 "<NID>$BLOB</NID>" $CONFIG_FILES/$EXTENSION/.vtree.xml | egrep 'NTS|DESC'| cut -d "[" -f3 | cut -d "]" -f1`
  
   if [ ${#DETAIL} -lt 1 ]
   then
      echo Blob not found
   else
   echo $DETAIL
   fi
   
   echo "Channel - $CHANNEL_NAME ($EXTENSION)"
   echo
   echo "-------------------------------------------------"
shift
done
